*this do file does final preparations and save clean input data

*hh
use "${gsdData}/0-RawOutput/hh.dta", clear
*drop unecessary variables
drop sample_*
drop rf_* rnf_* rl_* ra_* 
drop today* date datetime*
drop ssSys_IRnd gps_inaccurate wrong_location Action tablet_account camp missing_ea team module1 module2 module3 module4 beh1 beh2 interview_num
drop missing_hhroster nonmissing empty_interview valid valid_reason  duration	 dow wBegin replacement_ea hhh_name_yn 
drop ParentId1 date date_alt duration_alt my_date
drop move_no_push_main__n98 move_no_push_main__n99 move_no_pull_main__n98 move_no_pull_main__n99 move_yes_push_main__n98 move_yes_push_main__n99 move_no_org_main__n98 move_no_org_main__n99 move_yes_pull_main__n98 move_yes_pull_main__n99
drop enum_comments
*drop confidential HFS information
drop enum_clean enum_team loc__Latitude loc__Longitude loc__Accuracy loc__Altitude loc__Timestamp hh_list__* hh_list_separated__* s_ea_full gpsea__Latitude gpsea__Longitude gpsea__Accuracy gpsea__Altitude gpsea__Timestamp contact_phone_yn contact_phone_s contact_yn gps__Latitude gps__Longitude gps__Accuracy gps__Altitude gps__Timestamp hhh_name_s  hh_list_s__* contact_phone_share contact_phone testimonial testimonial_consent 
*drop CRS variables
drop rep_ea_idp ea_block return1 visit_n strid_seg1ret1 hhid_seg1ret1 replacement_hh str_n_o hhid_rep n_str seg_str_prev1 seg_str_prev2 seg_str_prev3 seg_str_prev4 seg_str_prev5 n_hh seg_hh_prev1 seg_hh_prev3 seg_hh_prev2 seg_hh_prev4 seg_hh_prev5 juba_poc1 qr_code_hh
*label variables
label var hhh_id "Household head ID"
label var hhsize "Household size"
label var month "Month of data collection"
label var weight "Household weight"
label var mod_hh "Module assigned for multiple imputation of consumption"
*relabel some items
label var check "D.3 You had earlier said that the household had bread %last_bread_s%. However, you did not report any consumption of bread and cereals in the last 7 days. Are you sure this is correct?"
label var check_m "D.13 You had earlier said that the household had meat %last_meat_s%. However, you did not report any "
label var check_f "D.21 You had earlier said that the household had fruits %last_fruit_s%. However, you did not report any " 
label var check_p "D.29 You had earlier said that the household had pulses and vegetables %last_pulses_s%. However, you did not report any " 
label var los_reason "F.7 Without the conflict that started in December 2013, would you still have less livestock today than you had in the year 2013?"
label var hhr_id_perc "H.1 Please select the main respondent for this section. Hint: If you are talking to two people, you have to decide who is the main respondent for this interview."
label var los_reason "F.7 Without the conflict that started in December 2013, would you still have less livestock today than you had in the year 2013?"
label var migr_idp "A.5 Are you living here because you were forced to leave your original place of "
local i=0
foreach v of varlist beh_time_mon beh_time_mon_more beh_time_mon_less beh_time_yr beh_time_yr_more beh_time_yr_less beh_time_risk beh_risk_bus {
	local i=`i'+1
	local lab : var label `v'
	label var `v' "H.`i' which would you prefer? `lab'"
}
*rename var with too long names
rename (dec13compare_neighborrelate_disp conflict_resolve_solution_sp) (dec13compare_neighborrel conflict_resolve_sol_sp)
*Tag non-sn items
local nonsn "dataset state ea hh weight* enum mod_hh beh_treat_opt hhsize month hhh_id panel"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
*order variables
order *, sequential
order enum, after(hh)
order A_5_migr_idp, after(A_4_maycontinue)
order weight* hhsize, after(hh)
order hhh_id, before(B_3_hhh_id0)
order dataset state ea hh, first
order mod_hh beh_treat_opt  month, after(enum)
egen id=group(state ea hh)
distinct dataset state ea id
drop id
save "${gsdData}/1-CleanInput/hhq.dta", replace

*hhm
use  "${gsdData}/0-RawOutput/hhm.dta", clear
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop month hhm_name ParentId1 hhsize
order dataset, first
*relabel variables
label var legal_id_type__1 "B.21 Form of legal identification owned: Birth certificate"
label var legal_id_type__2 "B.21 Form of legal identification owned: Nationality certificate"
label var legal_id_type__3 "B.21 Form of legal identification owned: Identity card"
label var legal_id_type__4 "B.21 Form of legal identification owned: Driver's license"
label var legal_id_type__5 "B.21 Form of legal identification owned: Passport"
label var legal_id_type__6 "B.21 Form of legal identification owned: Resident's permit"
label var legal_id_type__7 "B.21 Form of legal identification owned: Work permit"
label var legal_id_type__8 "B.21 Form of legal identification owned: Visa"
label var legal_id_type__9 "B.21 Form of legal identification owned: Foreign registrations"
label var legal_id_type__10 "B.21 Form of legal identification owned: Emergency Travel Permits"
label var legal_id_type__11 "B.21 Form of legal identification owned: Refugee / IDP ID Cards"
label var legal_id_type__1000 "B.21 Form of legal identification owned: Other (specify)"
label var legal_id_type__n98 "B.21 Form of legal identification owned: Don't know"
label var legal_id_type__n99 "B.21 Form of legal identification owned: Refused to respond"
label val emp_12m_additional__1 emp_12m_additional__2 emp_12m_additional__3 emp_12m_additional__4 emp_12m_additional__5 emp_12m_additional__n98 emp_12m_additional__n99 legal_id_disp
label val legal_id_type__1-legal_id_type__n99 legal_id_disp
local vars1 = "hhm_relation migr_from hhm_parent_alive hhm_mar_status hhm_mar_age hhh_birthplace_ssd hhh_tribe legal_id births prenatalcare delivery deliveryassist births_ever births_age hhm_read hhm_write hhm_edu_current hhm_edu_reason hhm_edu_dec13 hhm_edu_ever hhm_edu_level"
local vars2 = "emp_7d_paid emp_7d_busi emp_7d_help emp_7d_farm emp_7d_appr emp_7d_temp emp_7d_inac emp_7d_inac_sp emp_12m_active emp_12m_detail emp_ever_active emp_ever_detail hhm_job_search hhm_job_search_no hhm_available unemp_7d_dur hhm_job_search_dur hhm_job_obs" 
local vars3 = "hhm_job_support emp_7d_prim emp_7d_months emp_7d_prim_isic uemp_want emp_12m_additional_yn emp_prev_d emp_prev emp_prev_months emp_7d_prim_isic_prev resum_empl_want resum_empl resum_empl_reason"
local label = "`vars1' `vars2' `vars3'"
foreach v of local label {
	label define `v' .a "Don't know" .c "Refused to respond" , modify	
}
*Tag non-sn items
local nonsn "dataset state ea hh hhmid"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
egen id=group(state ea hh)
distinct dataset state ea id
drop id
sort dataset state ea hh hhmid
save "${gsdData}/1-CleanInput/hhm.dta", replace 

***hhm separated
use  "${gsdData}/0-RawOutput/hhm_separated.dta", clear
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop hhm_name_sep ParentId1 month
order dataset, first
*Tag non-sn items
local nonsn "dataset state ea hh hhmid_sep"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
egen id=group(state ea hh)
distinct dataset state ea id
drop id
sort dataset state ea hh hhmid
save "${gsdData}/1-CleanInput/hhm_separated.dta", replace 

*create food lookup tables
*create variable to convert quantities to kg
import excel using "${gsdDataRaw}/lookup_tables_food.xlsx", clear sheet("food_quant_purc") first
keep rowcode conv2kg
destring conv2kg, replace
gen itemid=floor(rowcode/100)
gen u=rowcode-(itemid*100)
drop rowcode
collapse conv2kg , by(u)
save "${gsdTemp}/conv2kg.dta", replace
*get food purchase quantities constraints
import excel using "${gsdDataRaw}/lookup_tables_food.xlsx", clear sheet("food_quant_purc") first
gen itemid=floor(rf_food_purc_unit/100)
gen u = rf_food_purc_unit-(floor(rf_food_purc_unit/100)*100)
destring *, replace
drop rowcode convert v_min v_max rf_food_purc_unit
save "${gsdTemp}/food_purc_constraints.dta", replace
*get food quantities consumed constraints
import excel using "${gsdDataRaw}/lookup_tables_food.xlsx", clear sheet("food_quant") first
destring *, replace 
merge m:1 u using  "${gsdTemp}/conv2kg.dta", nogen assert(match)
drop rowcode convert rf_food_cons_unit
save "${gsdTemp}/food_cons_constraints.dta", replace
*get food price constraints from wave1
import excel using "${gsdDataRaw}/food_price_constraints.xlsx" , clear first 
format v* %8.2g
replace v_max=. if v_max<1
save "${gsdTemp}/food_price_constraints.dta", replace
*food
use  "${gsdData}/0-RawOutput/food.dta", clear
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 month
rename rf_* *
rename relevanceyn cons
*fix labels
label var cons "D.4 Over the past 7 days, did anyone in your household consume any of the items listed below."
local i=4
foreach v in cons purc {
	local i=`i'+1
	foreach w in quant unit low high {
		local lab : var lab `v'_`w'
		local llab = substr("`lab'",6,.)
		label var `v'_`w' "D.`i' `llab'"
	}
}
foreach v in pric_total pric_total_curr pric_total_sp pric_zero pric_low pric_high {
	local lab : var lab `v'
	local llab = substr("`lab'",6,.)
	label var `v' "D.7 `llab'"
}
local i=7 
foreach v in free_yn free_quant free_main {
	local i=`i'+1
	local lab : var lab `v'
	local llab = substr("`lab'",6,.)
	label var `v' "D.`i' `llab'"
}
label var free_other "D.10 If other, please specify where most of the free %rostertitle% came from."
label var mod_opt "Optional module of consumption item"
label var itemid "Food consumption item"
label var item_category "Item category"
*reorder
order dataset, first
order mod_opt, after(itemid)
*Tag non-sn items
local nonsn "dataset state ea hh item_category itemid mod_opt"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
}
*add conv2kg
gen u=D_5_cons_unit 
merge m:1 itemid u using "${gsdTemp}/food_cons_constraints.dta", nogen assert(match master using) keep(match master)
rename conv2kg cons_conv2kg
drop u
gen u=D_6_purc_unit
merge m:1 itemid u using "${gsdTemp}/food_purc_constraints.dta", nogen assert(match master using) keep(match master)
rename conv2kg purc_conv2kg
drop u
*merge constraints
merge m:1 itemid using  "${gsdTemp}/food_price_constraints.dta", nogen assert(match ) 
label var c_min_s "Consumption quantities soft minimum constraints"
label var c_max_s "Consumption quantities soft maximum constraints"
label var c_min_h "Consumption quantities hard minimum constraints"
label var c_max_h "Consumption quantities hard maximum constraints"
label var p_min_s "Purchase quantities soft minimum constraints"
label var p_max_s "Purchase quantities soft maximum constraints"
label var p_min_h "Purchase quantities hard minimum constraints"
label var p_max_h "Purchase quantities hard maximum constraints"
label var v_min "Purchase prices minimum constraints"
label var v_max "Purchase prices maximum constraints"
order  c_min_h c_max_h cons_conv2kg , after(D_5_cons_high)
order  p_min_h p_max_h purc_conv2kg, after(D_6_purc_high)
order v_min v_max, after(D_7_pric_high)
egen id=group(state ea hh)
distinct dataset state ea id
drop id itemlabel
sort dataset state ea hh itemid
save "${gsdData}/1-CleanInput/food.dta", replace 

*get constraints and item_recall for nonfood
import excel using "${gsdDataRaw}/lookup_tables_nonfood.xlsx", clear first
rename recall item_recall
rename rowcode itemid
drop v_avg
save "${gsdTemp}/nonfood_constraints.dta", replace
*nonfood
use  "${gsdData}/0-RawOutput/nonfood.dta", clear
format itemid %32.0f
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 itemlabel month
*rename variables
rename rnf_* *
rename relevanceyn cons
*merge with constraints
merge m:1 itemid using "${gsdTemp}/nonfood_constraints.dta", assert(match using) keep(match) nogen
*fix some labels
label var item_recall "Recall period"
label var v_min_s "Minimum soft constraint, adjusted for inflation and used in questionnaire"
label var v_min_h "Minimum hard constraint, not adjusted for inflation and used in cleaning"
label var v_max_s "Maximum soft constraint, adjusted for inflation and used in questionnaire"
label var v_max_h "Maximum hard constraint, not adjusted for inflation and used in cleaning"
label var mod_opt "Optional module of consumption item"
label var itemid "Food consumption item"
label var cons "E.2 Over the past %item_recall% days, did anyone in your household buy or receive for free any of the items listed below. Please record yes or no for each of the items listed below:"
order mod_opt cons, after(itemid)
*Tag non-sn items
local nonsn "dataset state ea hh itemid mod_opt v_m* item_recall"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
order dataset, first
egen id=group(state ea hh)
distinct dataset state ea id
drop id
sort dataset state ea hh itemid
save "${gsdData}/1-CleanInput/nonfood.dta", replace 

*livestock
use  "${gsdData}/0-RawOutput/livestock.dta", clear
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 month
*Tag non-sn items
local nonsn "state ea hh index dataset"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
order dataset, first
egen id=group(state ea hh)
distinct dataset state ea id
drop id
sort dataset state ea hh index
save "${gsdData}/1-CleanInput/livestock.dta", replace 

*assets
*create median wave 1 depreciation rates
import delimited using "${gsdDataRaw}/depreciation_rates_W1.csv" , clear  
save "${gsdData}/1-CleanInput/Other/drate_w1.dta" , replace
*get asset prices from wave1
use "${gsdDataRaw}/assets_prices_W1.dta" , clear  
save "${gsdData}/1-CleanInput/Other/assets_prices_w1.dta" , replace
*get constraints
import excel using "${gsdDataRaw}/lookup_tables_assets.xlsx", clear first
rename rowcode index
save "${gsdTemp}/assets_constraints.dta", replace
use  "${gsdData}/0-RawOutput/assets.dta", clear
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 month
label var prnew_curr "G.5 Currency"
label var prnew_sp "G.5 Please specify the currency"
merge m:1 index using "${gsdTemp}/assets_constraints.dta", nogen assert(match)
label var min_h "Minimum hard price constraint"
label var max_h "Maximum hard price constraint"
*Tag non-sn items
local nonsn "state ea hh index dataset min_h max_h"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
order dataset, first
egen id=group(state ea hh)
distinct dataset state ea id
drop id
sort dataset state ea hh index
save "${gsdData}/1-CleanInput/assets.dta", replace 

*create file with CPI from Wave1 onwards for constraints and deflator
import excel using "${gsdDataRaw}/CPI_Website_Aug 2017.xlsm", clear first cellrange(B2:EA26)
drop Coicop WeightCoicop3 WeightCoicop2 WeightCoicop4 Apr2007-Jan2015 Mar2015-Jun2015 Aug2015-Apr2017 
keep if Itemdescription=="All item index" | Itemdescription=="CPI excluding unprocessed food and petrol"| Itemdescription=="Food and Non-alcholic beverages"
replace Itemdescription="CPI" if Itemdescription=="All item index"
replace Itemdescription="CPI_food" if Itemdescription=="Food and Non-alcholic beverages"
replace Itemdescription="CPI_nonfood" if Itemdescription=="CPI excluding unprocessed food and petrol"
gen n=_n
reshape wide Feb2015-Aug2017, i(n) j(Itemdescription, string)
foreach v of varlist Feb2015CPI_food-Aug2017CPI_nonfood {
	replace `v'=`v'[_n+1] if n==1 
	replace `v'=`v'[_n+2] if n==1 & missing(`v')
}
keep if n==1
reshape long @CPI @CPI_nonfood @CPI_food, i(n) j(m, string)
gen mo=date(m,"MY")
gen month=mofd(mo)
format month %tm
drop m mo n
foreach v of varlist CPI CPI_nonfood CPI_food {
	egen ref_`v'_Feb2015=min(`v')
	gen x`v'=`v' if month==tm(2015m7)
	egen ref_`v'_July2015=max(x`v')
	drop x*
}
save "${gsdData}/1-CleanInput/Other/CPI_NBS.dta", replace

*prepare USD/SSP exchange rate data
import excel using "${gsdDataRaw}/HFS-SSD-MPS-Tableau.xlsx", sheet("ERS") clear first
keep if inrange(Date,td(01/1/2012),td(30/08/2017))
drop if Outlier==1
drop Outlier
keep if Type=="Parallel" & Transaction=="Midpoint"
*get national average exchange rate by month
gen month=mofd(Date)
format month %tm
collapse (mean) Value, by(month)
rename Value er
replace er=er/100
label var er "SSP/USD Exchange rate"
save "${gsdTemp}/exchange_rates_usd_month.dta", replace

*prepare other currencies exchange rate data (prepare one monthly dataset over the survey period for consumption data and one yearly dataset for assets)
import delimited using "${gsdDataRaw}/rates_data.csv" , clear rowrange(6:292) varn(6)
gen d=date(periodstartdate,"YMD")
format d %td
gen month=mofd(d)
format m %tm
drop d periodstartdate
order month, first
*clean low rates in sdp
replace usdsdp=usdsdp*100 if usdsdp<100
replace usdsdp=usdsdp*10 if usdsdp<200
*merge with ERS data
merge 1:1 month using "${gsdTemp}/exchange_rates_usd_month.dta", nogen assert(match master) 
drop if month>tm(2017m8)
*replace ssp data for pre 2011 years with SDG
replace er=usdsdg if missing(er) 
*replace ssp data with sdd/100 for pre 2007 years
replace er=usdsdd/100 if missing(er)
*rename data
rename er usdssp
save "${gsdTemp}/exchange_rates_month.dta", replace
save "${gsdData}/1-CleanInput/Other/exchange_rates_month.dta", replace
*create USD exchange rate
gen usdusd=1
ds month, not
foreach v in `r(varlist)' {
	local s = strupper("`v'")
	rename `v' `s'
}
reshape long USD, i(month) j(curr, string)
rename USD conv2usd
drop if missing(conv2usd)
*spread usdssp er to every year
gen x=conv2usd if curr=="SSP"
bys month: egen conv2ssp=max(x)
drop x
sort curr month
save "${gsdData}/1-CleanInput/Other/exchange_rates_month_assets.dta", replace

*create yearly exchange rate data
use "${gsdTemp}/exchange_rates_month.dta", clear
gen year=yofd(dofm(month))
*create USD exchange rate
gen usdusd=1
collapse usd* , by(year)
ds year, not
foreach v in `r(varlist)' {
	local s = strupper("`v'")
	rename `v' `s'
}
reshape long USD, i(year) j(curr, string)
rename USD conv2usd
drop if missing(conv2usd)
*spread usdssp er to every year
gen x=conv2usd if curr=="SSP"
bys year: egen conv2ssp=max(x)
drop x
sort curr year
save "${gsdData}/1-CleanInput/Other/exchange_rates_year.dta", replace

*prepare wave 1 depreciation rates
import delimited using "${gsdDataRaw}/depreciation_rates_W1.csv", varn(1) clear
drop if missing(index)
save "${gsdData}/1-CleanInput/Other/drate_w1.dta", replace

*save CRS and HFS data separately
foreach d in hhq hhm hhm_separated food nonfood assets livestock {
	use "${gsdData}/1-CleanInput/`d'.dta", clear
	keep if dataset==1
	save "${gsdData}/1-CleanInput/CRS/`d'.dta" , replace
	use "${gsdData}/1-CleanInput/`d'.dta", clear
	keep if dataset==2
	save "${gsdData}/1-CleanInput/HFS/`d'.dta" , replace	
}


