*this do file anonymizes the data
*Anonymize all datasets
set seed 937483836

*HFS
use "${gsdTemp}/hh_matchkeys.dta", clear
*merge with wave 2 households anonkey
merge 1:1 parent_key using "${gsdDataRaw}/hh_anonkey_W2.dta", assert(match master using) keep(match master) keepusing(hh_anon) nogen
rename (parent_key hh_anon) (hhuid hh_anon2)
merge 1:1 hhuid using "${gsdDataRaw}/hh_anonkey_W1.dta", assert(match master using) keep(match master) keepusing(hh_anon) nogen
replace hh_anon=hh_anon2 if missing(hh_anon)
drop hh_anon2
*merge ea codes
merge 1:1 ParentId1 using "${gsdTemp}/hh_raw.dta", nogen assert(match using) keep(match) keepusing(ea)
merge m:1 ea using "${gsdDataRaw}/ea_anonkey_W2.dta", assert(match master using) keep(match master) keepusing(ea_anon) nogen
rename ea_anon ea_anon2
merge m:1 ea using "${gsdDataRaw}/ea_anonkey_W1.dta", assert(match master using) keep(match master) keepusing(ea_anon) nogen
replace ea_anon=ea_anon2 if missing(ea_anon)
assert (ea_anon-ea_anon2)==round(0,0.0001) if !missing(ea_anon2)
drop ea_anon2 
*create hh id for those households taken from the listing and for households where numerators interviewed the wrong households, or all original members had left the household
replace hh_anon=. if ParentId1=="074aed994ae54573a313ac77180a0df4" | ParentId1=="0b7a7976148b4d259f8dcf57ef44a62b" | ParentId1=="0f5e35bc68c546148852efb087cbf73d" | ParentId1=="184f89c857e5412bb28eceddeb3fa749" | ParentId1=="329562afb8ec4b099588e8238b43ca54" | ParentId1=="4da6df6913ef42f6a683a1b695530189" | ParentId1=="8b0799d6574e43f390ff041fe2eb5655" | ParentId1=="401043c7a5e54a7199e5af4f4e6032f8" 
replace hh_anon=. if ParentId1=="98197255bf6a45eaa2b8d263a7e87d92" | ParentId1=="a014e9f64487409f828b14f4f1f039a6" | ParentId1=="ae8931593b00413780e35d13962b6a66" | ParentId1=="b8ffd0f943ba4da79a720530a9bee402" | ParentId1=="ee889039a1114839b84f0e7b05688f98" | ParentId1=="f0004620feb6493e88b640bf24856b66" | ParentId1=="12ee09ab689c429f8aa2439a19cecb68" | ParentId1=="1abeec0bcc5e449c97f09a1bdceb686d" 
sort ea hh_anon
bysort ea: egen max_id=max(hh_anon)
by ea: replace hh_anon=hh_anon[_n-1]+1 if missing(hh_anon) & hh_anon[_n-1]>=max_id
drop ea max_id
*create new Id's for households identified as wrong matches
sort ea hh_anon
bysort ea: egen max_id=max(hh_anon)
by ea: replace hh_anon=hh_anon[_n-1]+1 if missing(hh_anon) & hh_anon[_n-1]>=max_id
save "${gsdData}/0-RawTemp/anonkey.dta", replace
*prepare enumerator anonkey
import excel using "${gsdDataRaw}/enum_id_previous.xlsx", clear first
drop enum_m
gen rand=runiform() if missing(enum_m_old)
sort rand
*begin new identities at 40 so as not to overlap with previous identities
replace enum_m_old=40+_n if missing(enum_m_old)
rename enum_m_old enum_anon
drop rand
save "${gsdData}/0-RawTemp/enum_anonkey.dta", replace
*anonymize main HFS dataset
use "${gsdTemp}/hh_hfs_raw_withweights.dta", clear
keep if dataset==2
merge 1:1 ParentId1 using "${gsdData}/0-RawTemp/anonkey.dta" , assert(match master) nogen keepusing(hh_anon ea_anon)
merge m:1 enum_clean using "${gsdData}/0-RawTemp/enum_anonkey.dta" , assert(match master) nogen
*relabel
replace ea=ea_anon 
label var ea "EA"
gen hh=hh_anon
label var hh "Household ID"
rename enum_anon enum
label var enum "Enumerator ID"
drop ea_anon hh_anon
sort state ea hh
order state ea hh
save "${gsdTemp}/hh_hfs_anon.dta", replace

*CRS
use "${gsdTemp}/hh_crs_raw_withweights.dta", clear
keep camp ea ParentId1 tablet_account
sort camp ea ParentId1
*Generate random variable 
gen rand = runiform()
*Generate anonymized HH ID
sort camp ea ParentId1
by camp ea: egen hh_anon = rank(rand)
*Save household anonymization key
save "${gsdData}/0-RawTemp/hh_crs_anonkey.dta", replace
*Take mean of random variable at the EA level
use "${gsdData}/0-RawTemp/hh_crs_anonkey.dta", clear
collapse (mean) rand, by(camp ea)
sort camp ea
*Generate anonymized EA ID using mean of random variable
by camp: egen ea_anon = rank(rand)
*Save EA anonymization key
save "${gsdData}/0-RawTemp/ea_crs_anonkey.dta", replace
*Generate random ID for each enumerator
use "${gsdData}/0-RawTemp/hh_crs_anonkey.dta", clear
*Take mean of random variable at enumerator level
collapse (mean) rand , by(tablet_account)
*Generate anonymized enum ID using mean of random variable
sort rand
gen enum_anon=_n
drop rand
*Save enumerator anonymization key
save "${gsdData}/0-RawTemp/enum_crs_anonkey.dta", replace
*merge anonymous identities to main dataset
use "${gsdTemp}/hh_crs_raw_withweights.dta", clear
merge 1:1 ParentId1 using "${gsdData}/0-RawTemp/hh_crs_anonkey.dta", nogen assert(match) keepusing(hh_anon)
merge m:1 ea using "${gsdData}/0-RawTemp/ea_crs_anonkey.dta", nogen assert(match) keepusing(ea_anon)
merge m:1 tablet_account using "${gsdData}/0-RawTemp/enum_crs_anonkey.dta", nogen assert(match) keepusing(enum_anon)
replace ea=ea_anon
drop ea_anon
rename enum_anon enum
rename hh_anon hh
save "${gsdTemp}/hh_crs_anon.dta", replace

*append the two anonymized datasets
use "${gsdTemp}/hh_hfs_anon.dta", clear
append using "${gsdTemp}/hh_crs_anon.dta"
*consolidate camp and state variable
replace state=camp if missing(state)
label define s_v 1 "JubaPOC" 2 "Wau" 4 "Bor" 5 "Malakal" 6 "Bentiu" , modify
label var state "State/Camp"
save "${gsdData}/0-RawOutput/hh.dta", replace

*Other datasets
*Load hhm data
use "${gsdTemp}/hhm_raw.dta", clear
*Merge anonymized household IDs
merge m:1 ParentId1 using "${gsdData}/0-RawOutput/hh.dta" , assert(match ) nogen keepusing(state ea hh)
order state ea hh
rename Id hhmid 
label var hhmid "Household member ID"
sort state ea hh hhmid
*Save anonymized hhm data
save "${gsdData}/0-RawOutput/hhm.dta", replace

*hhm separated data
use "${gsdTemp}/hhm_separated_raw.dta", clear
*Merge anonymized household IDs
merge m:1 ParentId1 using "${gsdData}/0-RawOutput/hh.dta" , assert(match using) keep(match) nogen keepusing(state ea hh)
order state ea hh
rename Id hhmid_sep 
label var hhmid_sep "Separated household member ID"
sort state ea hh hhmid_sep
*Save anonymized hhm data
save "${gsdData}/0-RawOutput/hhm_separated.dta", replace

*consumption data
foreach sf in food nonfood livestock assets {
	*Load consumption data
	use "${gsdTemp}/`sf'_raw.dta", clear
	if "`sf'"=="food" | "`sf'"=="nonfood" {
		sort ParentId1 itemid
		}
	else if "`sf'"=="livestock" {
		sort ParentId1 index
		}
	else if "`sf'"=="assets" {
		sort ParentId1 index
		}
	*Merge anonymized household IDs, don't keep households that were previously dropped
	merge m:1 ParentId1 using "${gsdData}/0-RawOutput/hh.dta" , assert(match master using) keep(match master) nogen keepusing(state ea hh)
	*Merge state and non-anonymized EAs
	*Rename and reorder
	order state ea hh
	sort state ea hh
	*Save anonymized consumption data
	save "${gsdData}/0-RawOutput/`sf'.dta", replace
}
