*This do-file cleans the Household roster data and prepares variables for analysis
clear all 
set more off
*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}

*Clean hhm
use "${gsdData}/1-CleanInput/hhm.dta", clear
*define lyn value label for later
label define lyn 0 "No" 1 "Yes"
*merge with number of members per household
merge m:1 state ea hh using "${gsdData}/1-CleanInput/hhq.dta", assert(match) keep(match master) keepusing(hhsize hhh_id)  nogenerate

*make manual corrections to specify variables; re-categorize them based on what enumerators entered
*B_19_hhh_tribe_spec B_21_legal_id_type_spec B_24_delivery_spec B_25_deliveryassist_spec    
*birth place of household head
replace B_17_hhh_birthplace_other=trim(subinstr(B_17_hhh_birthplace_other,`"""',"",.))
tab B_17_hhh_birthplace_other
tab B_17_hhh_birthplace, m
replace B_17_hhh_birthplace=2 if strpos(B_17_hhh_birthplace_other,"Darfur")   
replace B_17_hhh_birthplace=8 if strpos(B_17_hhh_birthplace_other,"Republic Democrats of Congolese") | strpos(B_17_hhh_birthplace_other,"congo")  | strpos(B_17_hhh_birthplace_other,"Congo")     
tab B_17_hhh_birthplace_other if B_17_hhh_birthplace==1000
*reason for not continuing education
replace B_31_hhm_edu_reason_sp=trim(subinstr(B_31_hhm_edu_reason_sp,`"""',"",.))
tab B_31_hhm_edu_reason
tab B_31_hhm_edu_reason_sp, m
replace B_31_hhm_edu_reason=7 if strpos(B_31_hhm_edu_reason_sp,"She is helping mother for saving home") |	strpos(B_31_hhm_edu_reason_sp,"helping  mather in home affai5")
replace B_31_hhm_edu_reason=16 if strpos(B_31_hhm_edu_reason_sp,"She left the school due to the crisis.")	|	strpos(B_31_hhm_edu_reason_sp,"because of conflict")
replace B_31_hhm_edu_reason=8 if  strpos(B_31_hhm_edu_reason_sp,"No money for school fees")	|	 strpos(B_31_hhm_edu_reason_sp,"financial problems")	|	 strpos(B_31_hhm_edu_reason_sp,"no school  fee") | strpos(B_31_hhm_edu_reason_sp,"Due to insufficient of fund") | strpos(B_31_hhm_edu_reason_sp,"Due to lack of financial suport")
replace B_31_hhm_edu_reason= 14 if  strpos(B_31_hhm_edu_reason_sp,"was in the village with no school")	|	strpos(B_31_hhm_edu_reason_sp,"They were very far from the school")
replace B_31_hhm_edu_reason= 5 if strpos(B_31_hhm_edu_reason_sp,"She was been in the village looking after cows")	|	strpos(B_31_hhm_edu_reason_sp,"Take care of cattle")	|	strpos(B_31_hhm_edu_reason_sp,"Take care of cattle")	|	strpos(B_31_hhm_edu_reason_sp,"taking care of cattles") | strpos(B_31_hhm_edu_reason_sp,"Before crisis she was looking after cows")	|	strpos(B_31_hhm_edu_reason_sp,"Before the crisis she was looking after cows")	|	strpos(B_31_hhm_edu_reason_sp,"He is business man")	|	strpos(B_31_hhm_edu_reason_sp,"He is soldier")
replace B_31_hhm_edu_reason= 2 if strpos(B_31_hhm_edu_reason_sp,"Too hold and never attend schoool")	|	strpos(B_31_hhm_edu_reason_sp,"She did not go to the school.")	|	strpos(B_31_hhm_edu_reason_sp,"She had never attend schoool")	|	strpos(B_31_hhm_edu_reason_sp,"She has never attended a school since")	|	strpos(B_31_hhm_edu_reason_sp,"She has never attended school")	|	strpos(B_31_hhm_edu_reason_sp,"Since she had been never attend school")	|	strpos(B_31_hhm_edu_reason_sp,"she is a school drop out and is married,")
replace B_31_hhm_edu_reason= 4 if strpos(B_31_hhm_edu_reason_sp,"lactating  mather")	|	strpos(B_31_hhm_edu_reason_sp,"lactating mother")	|	strpos(B_31_hhm_edu_reason_sp,"she is still lactating")	|	strpos(B_31_hhm_edu_reason_sp,"she dropped out of school  after getting pregnant") | strpos(B_31_hhm_edu_reason_sp,"She is breastfeeding now")
replace B_31_hhm_edu_reason= 1 if strpos(B_31_hhm_edu_reason_sp,"Too kid")
replace B_31_hhm_edu_reason= 20 if strpos(B_31_hhm_edu_reason_sp,"She was not allowed to have join school by the parents since her childhood")	|	strpos(B_31_hhm_edu_reason_sp,"Parents did not a low her to go to shcool")	|	strpos(B_31_hhm_edu_reason_sp,"family  doesn't  allow  her to  go  to school")	|	strpos(B_31_hhm_edu_reason_sp,"family doesn't  allow  her to go to  school")	|	strpos(B_31_hhm_edu_reason_sp,"parent  have  not  allow  her to go to school") | strpos(B_31_hhm_edu_reason_sp,"Father is yet decided to send her to go schooling")
replace B_31_hhm_edu_reason= 19 if strpos(B_31_hhm_edu_reason_sp,"he doesn't  want to go  to school")	|	strpos(B_31_hhm_edu_reason_sp,"he refused")	|	strpos(B_31_hhm_edu_reason_sp,"he refused to study since he was a small child and decided to join army")	|	strpos(B_31_hhm_edu_reason_sp,"no responsible person")	|	strpos(B_31_hhm_edu_reason_sp,"since we came from Khartoum the boy decided not to go school so he joined gangs group") | strpos(B_31_hhm_edu_reason_sp,"He didn't go back to  school .")	|	strpos(B_31_hhm_edu_reason_sp,"He doesn't like the school.")	|	strpos(B_31_hhm_edu_reason_sp,"He don't want to go to school.")	|	strpos(B_31_hhm_edu_reason_sp,"He don't want to hear to the parent .")	|	strpos(B_31_hhm_edu_reason_sp,"Doesn't want to go to school")	|	strpos(B_31_hhm_edu_reason_sp,"After operation of appendex she doesn't want go back to school")
label define hhm_edu_reason 19 "Refuses to attend to school" 20 "Parents do not allow to attend school", modify
tab B_31_hhm_edu_reason
tab B_31_hhm_edu_reason_sp if B_31_hhm_edu_reason==1000, m
*reason for inactivity
replace B_43_emp_7d_inac_sp=trim(subinstr(B_43_emp_7d_inac_sp,`"""',"",.))
tab B_43_emp_7d_inac
tab B_43_emp_7d_inac_sp, m
replace B_31_hhm_edu_reason=5 if strpos(B_31_hhm_edu_reason_sp,"He went to visit  some family  members.")
replace B_31_hhm_edu_reason=3 if strpos(B_31_hhm_edu_reason_sp,"I was for my graduation ceremony")
replace B_31_hhm_edu_reason=0 if strpos(B_31_hhm_edu_reason_sp,"he is in camp in  uganda")
*reason for not searching for a job 
replace B_49_hhm_job_search_no_spec=trim(subinstr(B_49_hhm_job_search_no_spec,`"""',"",.))
tab B_49_hhm_job_search_no
tab B_49_hhm_job_search_no_spec, m
* B_51_emp_inac_sub_spec B_54_hhm_job_obs_spec B_55_hhm_job_support_spec B_71_resum_empl_reason_spec


*create age grouping and education variables for analysis
*create household head dummy
gen ishead=hhh_id==hhmid
sort state ea hh ishead
bys state ea hh: assert ishead[_N]==1
order ishead, after(hhmid)
label var ishead "Household head"
label val ishead lyn
*Generate and label age group variable
*make sure age is never missing
recode B_1_hhm_age (0/5 = 1 "Under 6 Years") (6/14 = 2 "6 - 14 Years") (15/65 = 3 "15 - 64 Years") (65/120 = 4 "Above 64 Years"), generate(age_g)
label var age_g "Age Category (4 groups)"
recode B_1_hhm_age (0/4 = 1 "Under 5 Years") (5/9 = 2 "5 - 9 Years") (10/14 = 3 "10 - 14 Years") (15/19 = 4 "15 - 19 Years") (20/24 = 5 "20 - 24 Years") (25/29 = 6 "25 - 29 Years") (30/34 = 7 "30 - 34 Years") (35/39 = 8 "35 - 39 Years") (40/44 = 9 "40 - 44 Years") (45/49 = 10 "45 - 49 Years") (50/120 = 11 "Above 49 Years"), generate(age_g_alt)
label var age_g_alt "Age Category (5 yrs increments, end above 49)"
recode B_1_hhm_age (0/4 = 1 "Under 5 Years") (5/9 = 2 "5 - 9 Years") (10/14 = 3 "10 - 14 Years") (15/19 = 4 "15 - 19 Years") (20/24 = 5 "20 - 24 Years") (25/29 = 6 "25 - 29 Years") (30/34 = 7 "30 - 34 Years") (35/39 = 8 "35 - 39 Years") (40/44 = 9 "40 - 44 Years") (45/49 = 10 "45 - 49 Years") (50/54 = 11 "50 - 54 Years") (55/59 = 12 "55 - 59 Years") (60/65 = 13 "60 - 64 Years") (65/69 = 14 "65 - 69 Years") (70/74 = 15 "70 - 74 Years") (75/79 = 16 "75 - 79 Years") (80/120 = 17 "Above 80 Years"), generate(age_cat_g)
label var age_cat_g "Age Category (5 yrs increments, end above 80)"
*Generate and label youth age group variable
gen youth = inrange(B_1_hhm_age, 15, 35)
label var youth "Youth Age (15-35)"
label val youth lyn
recode B_1_hhm_age (15/20 = 1 "Between 15 and 20 Years") (21/25 = 2 "Between 21 and 25 Years") (26/30 = 3 "Between 26 and 30 Years") (31/35 = 4 "Between 31 and 35 Years") if youth == 1, generate(youthage_g)
label var youthage_g "Youth Age Group (5 yrs increment, 15-35)"
*Generate and label working age variable
recode B_1_hhm_age (15/64 = 1 "Working age") (0/14 65/120 = 0 "Not of working age"), gen(working_age)
label var working_age "Working Age (15-64)"
label val working_age lyn
*Generate school age grouping variables
*Generate and label school age indicator
recode B_1_hhm_age ( 6/120 = 1 "School age") (0/5 = 0 "Not of school age"), gen(school_age)
label var school_age "School age (6+)"
*Generate and label primary school age indicator
recode B_1_hhm_age (6/13 = 1 "Primary school age") (0/5 14/120 = 0 "Not of primary school age") , gen(school_age_primary)
label var school_age_primary "Primary School Age (6-13)"
*Generate and label secondary school age indicator
recode B_1_hhm_age (14/18 = 1 "Secondary school age") (0/13 19/120 = 0 "Not of secondary school age") , gen(school_age_secondary)
label var school_age_secondary "Of Secondary School Age (14-18)"
*Generate and label school age indicator
recode B_1_hhm_age (6/18 = 1 "Primary or secondary school age") (0/5 19/120 = 0 "Not of primary or secondary school age") , gen(school_age_prim_sec)
label var school_age_prim_sec "Of Primary or Secondary School Age"
*Generate and label post-secondary school age indicator
recode B_1_hhm_age (19/120 = 1 "Post-secondary school age") (0/18 = 0 "Not of post-secondary school age") , gen(school_age_adult)
label var school_age_adult "Of Post-Secondary School Age"
*Generate literacy and education status variables
*Generate literacy variable (literacy defined as ability to read AND write) and add variable label
gen literacy = (B_28_hhm_read==1 & B_29_hhm_write==1) 
replace literacy=. if (missing(B_28_hhm_read) | missing(B_29_hhm_write))
label var literacy "Literacy (can read and write)" 
label val literacy lyn
*Generate education group variable
tab B_35_hhm_edu_level, m
recode B_35_hhm_edu_level (0 = 1 "No Education") (10/21 = 2 "Primary & Intermediate") (22/27 = 3 "Secondary") (29/33 = 4 "University") (8 1000 = 5 "Others"), generate(edu_level_g)
label var edu_level_g "Highest level of education attended (categorized)"
*Assign those who are less than or equal 5 years old to "Not of Education Age"
replace edu_level_g=1 if B_33_hhm_edu_ever==0
replace edu_level_g = 0 if school_age == 0
label define edu_level_g 0 "Not of Education Age" .a "Don't know" .b "Refused to respond", add
replace edu_level_g=. if edu_level_g==4 & B_1_hhm_age<16
tab edu_level_g, m
recode B_35_hhm_edu_level (10/20 = 1 "None") (21/26 = 2 "Primary & Intermediate") (27/30 = 3 "Secondary") (31/33 = 4 "University") (8 1000 = 5 "Others"), generate(edu_level_g_c)
label var edu_level_g_c "Highest level of education completed (categorized)"
replace edu_level_g_c=1 if B_33_hhm_edu_ever==0
replace edu_level_g_c=. if edu_level_g_c==4 & B_1_hhm_age<16
*Assign those who are less than or equal 5 years old to "Not of Education Age"
replace edu_level_g_c = 0 if school_age == 0
label define edu_level_g_c 0 "Not of Education Age" .a "Don't know" .b "Refused to respond", modify
tab edu_level_g_c, m
*Enrollment status
gen enrolled = .
replace enrolled = -1 if missing(B_1_hhm_age)
replace enrolled = 0 if B_1_hhm_age <= 5
replace enrolled = 1 if B_30_hhm_edu_current == 1
replace enrolled = 2 if (B_33_hhm_edu_ever == 1 | B_32_hhm_edu_dec13==1) &  B_30_hhm_edu_current == 0
replace enrolled = 3 if B_33_hhm_edu_ever == 0 & B_32_hhm_edu_dec13==0 & B_30_hhm_edu_current == 0
label define enrolled -1 "Age unknown" 0 "Not of education age" 1 "Currently enrolled" 2 "Previously enrolled" 3 "Never enrolled"
label values enrolled enrolled
label variable enrolled "Enrollment status" 


*Employment/Short reference period
*Generate variable indicating recently active in the labor mkt in past week, 
*defined as either "did something in the last seven days" OR "did not but will definitely return to work"
egen empl_active_7d=rowtotal(B_37_emp_7d_paid B_38_emp_7d_busi B_39_emp_7d_help B_40_emp_7d_farm B_41_emp_7d_appr)
gen active_7d = .
replace active_7d = 1 if inrange(empl_active_7d,1,5) & working_age==1
replace active_7d = 1 if B_42_emp_7d_temp==1 & working_age==1
replace active_7d = 0 if empl_active_7d == 0 &  B_42_emp_7d_temp != 1 & working_age==1
label var active_7d "Currently working or about to return to work (7 days)"
lab val active_7d lyn
*Labor force participation
*include all working age people
gen status=0 if working_age==1
*mark observations missing age
replace status=99 if missing(B_1_hhm_age)
*mark observations outside working age
replace status=3 if working_age==0
*mark observations with missing employment information 
replace status=98 if status ==0 & missing(B_37_emp_7d_paid) & missing(B_38_emp_7d_busi) & missing(B_39_emp_7d_help) & missing(B_40_emp_7d_farm) & missing(B_41_emp_7d_appr) & working_age==1
*mark the employed (active or going back to a job AND of working age
replace status=1 if active_7d==1 & working_age==1
*mark the unemployed
replace status= 2 if working_age==1 & ( active_7d==0 & B_48_hhm_job_search==1)
*label
label define status 0 "Inactive" 1 "Employed" 2 "Unemployed"  3 "Outside Working Age" 98 "Working-age, no information on activity" 99 "Age N/A"
label values status status
label variable status "Labor force status, 7 days reference period"
*generate a labor force participation variable
gen lfparticip=0 if status==0
*count employed as active
replace lfparticip=1 if status==1
*count unemployed as active
replace lfparticip=1 if status==2
*make sure that LFP is missing if status is outside working age or missing age or employement information
assert missing(lfparticip) if inlist(status,3,98,99)
*label
label def lfparticipl 0 "Outside the labor force / inactive" 1 "In the labor force / active"
label val lfparticip lfparticipl
label var lfparticip "Labor force participation, 7 days reference period"
*generate labor status with enrolled in education option
gen laborchar_7d=1 if status==1
replace laborchar_7d=2 if status==1 & enrolled == 1 
replace laborchar_7d=3 if status==2
label var laborchar_7d "Status of those participating in the labor force"
label def labor_7d  1 "Employed"  2 "Employment and Enrolled" 3 "Unemployed" 
label val laborchar_7d labor_7d
*Check that the employment status is missing if not in the labor force
assert missing(laborchar_7d) if lfparticip==0
*check that those in the labor force are employed/emp and enrolled/unemployed
assert lfparticip==1 if inlist(laborchar_7d,1,2,3)
*generate unemployment rate
recode laborchar_7d (1 2=0 "Employed") (3=1 "Unemployed") , gen(u_rate)
label var u_rate "Unemployment rate, 7 days reference period"
*create long term employment statistics
egen additional_act_12m=rowtotal(B_62_emp_12m_additional__1 B_62_emp_12m_additional__2 B_62_emp_12m_additional__3 B_62_emp_12m_additional__4 B_62_emp_12m_additional__5)
gen active_12m = active_7d & working_age==1
replace active_12m =1 if B_44_emp_12m_active==1 & working_age==1
label var active_12m "Currently working or about to return to work (12 months)"
*include all working age people
gen status_12m=0 if working_age==1
*mark observations missing age
replace status_12m=99 if missing(B_1_hhm_age)
*mark observations outside working age
replace status_12m=3 if working_age==0
*mark observations with missing employment information 
replace status_12m=98 if status ==0 & missing(B_37_emp_7d_paid) & missing(B_38_emp_7d_busi) & missing(B_39_emp_7d_help) & missing(B_40_emp_7d_farm) & missing(B_41_emp_7d_appr) & working_age==1
*mark the employed (active or going back to a job AND of working age
replace status_12m=1 if active_12m==1 & working_age==1
*mark the unemployed
replace status_12m= 2 if working_age==1 & ( active_12m==0 & B_48_hhm_job_search==1)
label val status_12m status
label variable status_12m "Labor force status, 12 months reference period"
*generate unemployment rate
recode status_12m (1=0 "Employed") (2=1 "Unemployed") (nonmissing=.) , gen(u_rate_12m)
label var u_rate_12m "Unemployment rate, 12 months reference period"
*generate a labor force participation variable
gen lfparticip_12m=0 if working_age==1
*count employed and unemployed as active
replace lfparticip_12m=1 if inlist(u_rate_12m,1,0)
*make sure that LFP is missing if status is outside working age or missing age or employement information
assert missing(lfparticip_12m) if inlist(status_12m,3,98,99)
*label
label val lfparticip_12m lfparticipl
label var lfparticip_12m "Labor force participation, 12 months reference period"
*generate labor status with enrolled in education option
gen laborchar_12m=1 if u_rate_12m==0
replace laborchar_12m=2 if u_rate_12m==0 & enrolled == 1 
replace laborchar_12m=3 if u_rate_12m==1
label var laborchar_12m "Status of those participating in the labor force"
label def laborchar_12m  1 "Employed"  2 "Employment and Enrolled" 3 "Unemployed" 
label val laborchar_12m laborchar_12m
*Sector Breakdown
tab B_59_emp_7d_prim_isic, m
recode B_59_emp_7d_prim_isic (1 = 1 "Agriculture") (2 3 4 6 = 2 "Manufacturing") (5 7/14 16/21 = 3 "Services") ( 15 = 4 "Public sector / defence") (1000 = 1000 "Other") , gen(emp_sector_broad)
label var emp_sector_broad "Employment sector, broad"
tab emp_sector_broad, m
label define emp_sector_broad  .a "Don't know" .c "Refused to respond" , modify
recode B_59_emp_7d_prim_isic (1 = 1 "Agriculture") (2 3 4 6 = 2 "Manufacturing") (5 7/14 17/21 = 3 "Services") (16 = 4 "Education") (1000 = 1000 "Other") ( 15 = 5 "Public sector / defence"), gen(emp_sector_5)
label var emp_sector_5 "Employment sector"
label define emp_sector_5  .a "Don't know" .c "Refused to respond" , modify
tab emp_sector_5, m
*Sector breakdown before displacement
tab B_69_emp_7d_prim_isic_prev, m
recode B_69_emp_7d_prim_isic_prev (1 = 1 "Agriculture") (2 3 4 6 = 2 "Manufacturing") (5 7/14 16/21 = 3 "Services") ( 15 = 4 "Public sector / defence") (1000 = 1000 "Other") , gen(emp_sector_broad_prev)
label var emp_sector_broad_prev "Employment sector, broad: before Dec13"
tab emp_sector_broad_prev, m
label define emp_sector_broad_prev  .a "Don't know" .c "Refused to respond" , modify
recode B_69_emp_7d_prim_isic_prev (1 = 1 "Agriculture") (2 3 4 6 = 2 "Manufacturing") (5 7/14 17/21 = 3 "Services") (16 = 4 "Education") (1000 = 1000 "Other") ( 15 = 5 "Public sector / defence"), gen(emp_sector_5_prev)
label var emp_sector_5_prev "Employment sector: before Dec13"
label define emp_sector_5_prev  .a "Don't know" .c "Refused to respond" , modify
tab emp_sector_5_prev, m

*Identify dependents (include disabled in dependent indicator)
gen dependent = .
replace dependent = 0 if working_age == 1 & B_49_hhm_job_search_no != 2
replace dependent = 1 if working_age == 0
replace dependent = 1 if B_49_hhm_job_search_no == 2
*replace as missing those whose information on employment is missing
replace dependent=. if status==98
label var dependent "Household member is a dependent"
label val dependent lyn
*Drop unnecessary vars
drop age_cat age_g_alt hhh_id additional_act_12m empl_active_7d
*Correct outliers in years of schooling variable
*Tabulate quintiles
tabstat B_34_hhm_edu_years, stat(n min q p95 p99 max) column(stat) long
*Remove outliers (more than 20 years), replace with post-outlier median
assert B_34_hhm_edu_years != .o
replace B_34_hhm_edu_years = .o if B_34_hhm_edu_years > 20  & !missing(B_34_hhm_edu_years)
sum B_34_hhm_edu_years, d
replace B_34_hhm_edu_years = `r(p50)' if B_34_hhm_edu_years == .o
*Check effect of outlier removal
tabstat B_34_hhm_edu_years, stat(n min q p95 p99 max) column(stat) long
*Correct outliers in hours of work per week variable
*Tabulate quintiles
tabstat B_58_emp_7d_hours, stat(n min q p95 p99 max) column(stat) long
*Remove outliers (more than 100 hours), replace with post-outlier median
assert B_58_emp_7d_hours != .o
replace B_58_emp_7d_hours = .o if B_58_emp_7d_hours > 100  & !missing(B_58_emp_7d_hours)
sum B_58_emp_7d_hours, d
replace B_58_emp_7d_hours = `r(p50)' if B_58_emp_7d_hours == .o
*Check effect of outlier removal
tabstat B_58_emp_7d_hours, stat(n min q p95 p99 max) column(stat) long
*Correct outliers in hours of work per week -- previous employment variable
*Tabulate quintiles
tabstat B_67_emp_prev_hours, stat(n min q p95 p99 max) column(stat) long
*Remove outliers (more than 100 hours), replace with post-outlier median
assert B_67_emp_prev_hours != .o
replace B_67_emp_prev_hours = .o if B_67_emp_prev_hours > 100  & !missing(B_67_emp_prev_hours)
sum B_67_emp_prev_hours, d
replace B_67_emp_prev_hours = `r(p50)' if B_67_emp_prev_hours == .o
*Check effect of outlier removal
tabstat B_67_emp_prev_hours, stat(n min q p95 p99 max) column(stat) long
save "${gsdData}/1-CleanOutput/hhm.dta", replace


*Generate household level statistics
use "${gsdData}/1-CleanOutput/hhm.dta", clear
*Generate household head statistics
*Confirm that every HH has exactly 1 head
bysort state ea hh: egen hhh_indicator = total(ishead)
assert hhh_indicator == 1
drop hhh_indicator
*Generate hhh gender and spread to all hh members
recode B_7_hhm_gender (1 = 0 "Male Head") (2 = 1 "Female Head") if ishead == 1, gen(hhh_gender)
label var hhh_gender "Gender of household head"
*Generate hhh age
gen hhh_age = B_1_hhm_age if ishead == 1
label variable hhh_age "Age of Household Head"
*Generate hhh highest level of education
gen hhh_edu_level_g= edu_level_g if ishead == 1
label var hhh_edu_level_g "Level of Education of Household Head"
label value hhh_edu_level_g edu_level_g
*generate household head literacy
gen hhh_literacy=literacy==1 if ishead == 1
label var hhh_literacy "Literacy of household head"
label val hhh_literacy lyn
*Compute number of HH members report their age
gen age_nm = !missing(B_1_hhm_age)
bysort state ea hh: egen nhhm_age = total(age_nm), missing
drop age_nm
*Compute number of HH members who are (1) of working age and (2) have a non-missing employment status
gen labor_wa_nm = (inlist(status,0,1,2) & working_age==1)
bysort state ea hh: egen nhhm_labor_wa = total(labor_wa_nm), missing
drop labor_wa_nm
*Compute number of HH members who (1) have a non-missing employment status
gen labor_all_nm = inlist(status,0,1,2,3)
bysort state ea hh: egen nhhm_labor_all = total(labor_all_nm), missing
drop labor_all_nm
*Sum employed per household
gen unempl=1 if u_rate==0
replace unempl=0 if u_rate==1
bysort state ea hh: egen empl_sum = total(unempl), missing
*Generate proportion employed to total number of members of working age with non-missing labor status
bysort state ea hh: gen empl_share_wa = empl_sum / nhhm_labor_wa 
label var empl_share_wa "Ratio of employed to HH members of working age"
*Generate proportion employed to total number of members with non-missing labor status
bysort state ea hh: gen empl_share_ls = empl_sum / nhhm_labor_all 
label var empl_share_ls "Ratio of employed to all HH members with identifiable labor status"
*Generate proportion employed to all members of household
bysort state ea hh: gen empl_share_all = empl_sum / hhsize 
label var empl_share_all "Ratio of employed to all HH members"
*Compute total number of dependents per household
bysort state ea hh: egen ndependents = total(dependent), missing	
*Identify HH members who are not dependents
gen dependent_not = .
replace dependent_not = working_age
replace dependent_not = 0 if dependent == 1
*Compute HH members who have a non-missing dependency status
bysort state ea hh: egen nindependents = total(dependent_not), missing
*Compute proportion dependents per household
bysort state ea hh: gen depend_share = ndependents / nindependents 
label var depend_share "Share of dependents in household"
*drop unecessary variables
drop empl_sum nhhm_age nhhm_labor_wa nhhm_labor_all ndependents dependent_not nindependents
*Compute school attendance shares
foreach l in primary secondary adult prim_sec {
	*Count number of HH members that belong to each school age category
	bysort state ea hh: egen school_age_`l'_sum = total(school_age_`l'), missing
	*Generate variable indicating if each HH member attends school for the relevant school age category
	gen attend_`l' = .
	replace attend_`l' = 0 if B_30_hhm_edu_current==0 & school_age_`l'==1
	replace attend_`l' = 1 if B_30_hhm_edu_current==1 & school_age_`l'==1
	*Count number of HH members that attend school in each school age category
	bysort state ea hh: egen attend_`l'_sum = total(attend_`l'), missing
	*Compute attendance share for each school age category
	bysort state ea hh: gen attend_`l'_share = attend_`l'_sum / school_age_`l'_sum 
	*Label age share variables
	label var attend_`l'_share "School attendance rate of `l' school aged"
	*Drop unnecessary variables
	drop school_age_`l'_sum  attend_`l'_sum
}
drop attend_primary attend_secondary attend_adult attend_prim_sec
*Collapse data
local collapselist "hhh_age hhh_gender hhh_edu_level_g hhh_literacy depend_share empl_share_wa empl_share_ls empl_share_all attend_primary_share attend_secondary_share attend_adult_share attend_prim_sec_share"
*Save labels
foreach var of local collapselist {
	*Save variable labels
	local l`var' : variable label `var'
	if `"`l`var''"' == "" {
		local l`var' "`var'"
	}
	*Save value labels
	local vl`var': value label `var'
	if `"`vl`var''"' == "" {
		local vl`var' "` '"
	}
}
*Collapse data
collapse (max) `collapselist', by(state ea hh)
*Reapply labels
foreach var of local collapselist  {
	*Reapply variable labels
	label variable `var' "`l`var''"
	*Reapply value labels
	label value `var' `vl`var''
}
save "${gsdData}/1-CleanTemp/hh_hhm.dta", replace

*clean hhm_separated
use "${gsdData}/1-CleanInput/hhm_separated.dta", clear
replace B_76_hhm_sep_reason_spec="" if B_76_hhm_sep_reason_spec=="N/A"
*generate number of separated members per hh 
bys dataset state ea hh : gen numsep = _N
lab var numsep "Number of members separated per household"
order numsep, after(hh)
sort dataset state ea hh 
save "${gsdData}/1-CleanOutput/hhm_separated.dta", replace

