
*prepare the data for HFS analysis 
*this do file requires defining paths in the init do file for where the data for waves 1,2, and 3 are located.

*prepare hhq data
*define locals to keep the same variables for each wave, since sometimes the names/labels change
local commonvars = "dataset state ea hh urban hhsize poor* 	poor*PPP_prob tc_imp tc_core quintiles_tc pline*PPP mi_cons_f mi_cons_nf mi_cons_d idp hhh_marital *cons_defl"
forvalues w=1/4 {
	*wave4
	if `w'==4 {
		*get household head marital status first
		use "${gsdData}/1-CleanOutput/hhm.dta", clear
		rename (B_15_hhm_mar_status ) (hhh_marital)
		keep if ishead==1
		keep dataset state ea hh hhh_marital
		save "${gsdTemp}/hhh_maritalW4.dta", replace
		*hhq
		use "${gsdData}/1-CleanOutput/hhq.dta", clear
		merge 1:1 dataset state ea hh using "${gsdTemp}/hhh_maritalW4.dta", nogen assert(match)
		gen wave=4
		gen urban=1
		label define lurban 0 "Rural" 1 "Urban"
		label val urban lurban
		label var urban "Urban/Rural"
		*add household head variables
		local hhhvars = "hhh_literacy hhh_edu_level_g hhh_gender empl_share_wa empl_share_ls empl_share_all depend_share"
		merge 1:1  state ea hh using "${gsdData}/1-CleanTemp/hh_hhm.dta", assert(match using) keep(match master) keepusing(`hhh_vars') nogen
		*add household dummies from mi imputation
		local mivars = "hhtoilet pchild hhempl hhwater hhtoilet"
		merge 1:1 dataset state ea hh using "${gsdData}/1-CleanTemp/mi-pre.dta", nogen assert(match master) keepusing(`mivars')
		*define locals for variables in each topic
		local weights = "weight_panel1 weight_panel2"
		local povertyvars = "C_90_lhood C_101_lhood_prev"
		gen C_99_water_home=inlist(C_10_water_home,1,2) if !missing(C_10_water_home)
		rename C_10_water_home water_source
		label val C_99_water_home lyn
		*harm
		gen  I_6_violence=I_6_conf_phys_harm
		gen M_0_violent=0
		*I_12_conf_nonphys_harm__8 I_12_conf_nonphys_harm__9
		foreach v of varlist I_6_conf_phys_harm  {    
			replace M_0_violent=1 if `v'>0 & !missing(`v')
		}
		local dwelling = "C_1_housingtype C_4_tenure C_99_water_home C_27_phone_network C_17_electricity_phone C_20_toilet C_3_slrooms_n C_2_rooms_n M_0_violent I_6_violence C_50_land_access_yn"
		rename (watertime) (dist_water_cat )
		foreach v in water mkt school health {
			replace dist_`v'=dist_`v'/60
			label var dist_`v' "Distance to nearest `v' in hours"
		}
		local hungervars = "C_67_hunger_nores C_68_hunger_coping C_69_nomoney C_70_cop_lessprefrerred C_71_cop_borrow_food C_72_cop_limitportion C_73_cop_limitadult C_74_cop_reducemeals C_75_cop_sellassets C_76_cop_sellfem C_77_cop_borrow"
		local perceptionvars = "H_15_satisf_life H_16_satisf_prev H_14_life_control H_17_agree_satisfied H_23_rate_personal H_25_rate_personal_future H_33_dec13compare_neighbreelate H_33_neighbreelate H_34_dec13compare_neighborrel H_37_rate_economic H_38_rate_economic_past3m H_39_rate_economic_future H_40_fear_future H_41_living_standards_poor H_42_creating_jobs H_43_prices_down H_44_fighting_corruption H_45_maintaing_roads_brigdges H_46_reliable_electricity H_47_water_sanitation   " 
		foreach v of varlist H_25_rate_personal_future   H_39_rate_economic_future {
			rename `v' x_`v'
			recode x_`v'  (1=5 "Much Better") (2=4 "Better") (3=3 "The same") (4=2 "Worse") (5=1 "Much worse"), gen(`v')
		}	
		foreach v of varlist H_17_agree_satisfied   {
			rename `v' x_`v'
			recode x_`v'  (1=7 "Strongly agree") (2=6 "Agree") (3=5 "Slightly agree") (4=4 "Neither agree nor disagree ") (5=3 "Slightly disagree") (6=2 "Disagree") (7=1 "Strongly disagree"), gen(`v')
		}	
		local services = "cooking sanitation lighting dist_water* dist_mkt* dist_school* dist_health* nopolice_g fear_g water_source" 
		local safety = "H_63_safe_violence H_64_safe_walking_night H_65_safe_walking_day"
		local government = "H_41_living_standards_poor H_42_creating_jobs H_43_prices_down H_44_fighting_corruption H_45_maintaing_roads_brigdges H_46_reliable_electricity H_47_water_sanitation H_61_dispute_resolve H_62_dispute_resolve_police H_60_conflict_resolve_solution"
		local idpsafety = " H_63_safe_violence H_64_safe_walking_night H_65_safe_walking_day I_1_conf_consent I_2_conf_loot_n I_3_conf_loot I_4_conf_home_dam_n I_5_conf_home_dam I_6_conf_phys_harm I_7_conf_phys_harm_n I_12_conf_nonphys_harm__1 I_12_conf_nonphys_harm__2 I_12_conf_nonphys_harm__3 I_12_conf_nonphys_harm__4 I_12_conf_nonphys_harm__6 I_12_conf_nonphys_harm__7 I_12_conf_nonphys_harm__8 I_12_conf_nonphys_harm__9  I_10_disp_death I_11_disp_death_num H_61_dispute_resolve H_62_dispute_resolve_police I_44_disp_movefree H_33_dec13compare_neighbreelate H_33_neighbreelate H_34_dec13compare_neighborrel"
		local idplivingstandard = "csi csi_cat csi_invert watersource waterimproved waterimproved_disp watersource_disp sanitationimproved sanitationimproved_disp sanitation_disp C_21_share_facility C_22_share_num C_23_waste memperroom memperroom_sl C_30_housingtype_disp C_33_tenure_disp C_34_land_own_dur_n_main_disp C_35_land_legal_main_disp C_36_land_legal_main_disp_d C_6_land_legal_main C_7_land_legal_main_d lighting_disp C_18_electricity_hours watertime_min watertime_min_disp C_100_assist_source__1 C_100_assist_source__2 C_100_assist_source__3 C_100_assist_source__4 C_100_assist_source__5 C_109_intremit_prev_yn C_110_intremit_moreless C_111_supp_ssd_yn C_112_supp_moreless C_12_who_fetch waterfacility C_79_social_saf_net"
		local idphouserestore = " C_37_land_use_disp C_33_tenure_disp  C_38_land_res_disp C_39_land_help_disp C_41_land_back_disp C_40_land_res_reason_disp land land_disp C_50_land_access_yn C_53_land_tenure C_54_land_own_dur_n C_55_land_legal C_56_land_legal_d C_58_land_access_yn_disp C_61_land_tenure_disp C_63_land_legal_disp C_64_land_legal_d_disp C_65_land_lost_disp C_66_landag_use_disp "
		local idpdocreturn = " I_41_legal_id_disp I_42_legal_id_access_disp I_48_move_want I_48_move_want_yn I_50_move_to_loc I_49_move_want_time I_51_move_no_push_main__1 I_51_move_no_push_main__2 I_51_move_no_push_main__3 I_51_move_no_push_main__4 I_51_move_no_push_main__5 I_51_move_no_push_main__6 I_51_move_no_push_main__1000 I_51_move_no_push_spec I_52_move_no_pull_conflict I_52_move_no_pull_main__1 I_52_move_no_pull_main__2 I_52_move_no_pull_main__3 I_52_move_no_pull_main__4 I_52_move_no_pull_main__5 I_52_move_no_pull_main__6 I_52_move_no_pull_main__7 I_52_move_no_pull_main__8 I_52_move_no_pull_main__9 I_52_move_no_pull_main__1000 I_52_move_no_pull_spec I_53_move_yes_push_main__5 I_53_move_yes_push_main__6 I_53_move_yes_push_main__7 I_53_move_yes_push_main__8 I_53_move_yes_push_main__9 I_53_move_yes_push_main__10 I_53_move_yes_push_main__11 I_53_move_yes_push_main__1000 I_53_move_yes_push_spec   I_56_move_help__1 I_56_move_help__2 I_56_move_help__3 I_56_move_help__4 I_56_move_help__5 I_56_move_help__6 I_56_move_help__7 I_56_move_help__8 I_56_move_help__9 I_56_move_help__10  I_56_move_help__11 I_56_move_help__12 I_56_move_help__13 I_56_move_help__14 I_56_move_help__15 I_56_move_help__16 I_56_move_help__17 I_56_move_help__1000 I_56_move_help_spec I_30_disp_temp_return  I_32_disp_temp_return_reason I_61_inf_comp I_62_inf_want__1 I_62_inf_want__2 I_62_inf_want__3 I_62_inf_want__4 I_62_inf_want__5 I_62_inf_want__6 I_62_inf_want__7 I_62_inf_want__8 I_62_inf_want__9 I_62_inf_want__10 I_62_inf_want__11 I_62_inf_want__1000 I_62_inf_want__n98 I_62_inf_want__n99 I_54_move_no_org_main__1 I_54_move_no_org_main__2 I_54_move_no_org_main__3 I_54_move_no_org_main__4 I_54_move_no_org_main__5 I_54_move_no_org_main__6 I_54_move_no_org_main__7 I_54_move_no_org_main__8 I_54_move_no_org_main__9 I_55_move_yes_pull_main__1 I_55_move_yes_pull_main__2 I_55_move_yes_pull_main__3 I_55_move_yes_pull_main__4 I_55_move_yes_pull_main__5 I_55_move_yes_pull_main__6 "
		local idpreunif = "B_72_hhm_separated B_78_hhm_unite"
		local idppublic = "H_41_living_standards_poor H_42_creating_jobs H_43_prices_down H_44_fighting_corruption H_45_maintaing_roads_brigdges H_46_reliable_electricity H_47_water_sanitation C_80_social_ease C_81_social_net C_82_social_net_leader "
		local idpremedy = "H_61_dispute_resolve H_62_dispute_resolve_police I_14_migr I_45_disp_shelterpay I_46_disp_shelterpay_who__1 I_46_disp_shelterpay_who__2 I_46_disp_shelterpay_who__3 I_46_disp_shelterpay_who__4 I_46_disp_shelterpay_who__5 I_46_disp_shelterpay_who__1000 I_46_disp_shelterpay_who__n98 I_46_disp_shelterpay_who__n99 I_46_disp_shelterpay_who_spec I_46_disp_shelterpay_who_spec I_47_disp_shelterpay_what__1 I_47_disp_shelterpay_what__2 I_47_disp_shelterpay_what__3 I_47_disp_shelterpay_what__4 I_47_disp_shelterpay_what__1000 I_47_disp_shelterpay_what__n98 I_47_disp_shelterpay_what__n99 I_47_disp_shelterpay_what_spec "
		local idporigin = " I_21_disp_site I_20_disp_reason_conflict I_15_migr_n I_15_migr_n I_16_disp_from I_17_disp_from_s I_18_disp_from_region I_19_disp_date I_20_disp_reason I_23_disp_arrive_date I_24_disp_arrive_reason I_26_disp_arrive_with "
		local dontrename "csi csi_cat csi_invert watersource waterimproved waterimproved_disp watersource_disp sanitationimproved sanitationimproved_disp sanitation_disp memperroom memperroom_sl lighting_disp watertime_min watertime_min_disp waterfacility land land_disp"
		local conflict_vars = ""
		}
	*wave3
	else if `w'==3 {
		use "${gsdW3}/Data/1-CleanOutput/hhq.dta", clear
		gen wave=3
		gen dataset=2
		*add household head variables
		local hhhvars = "hhh_literacy hhh_edu_level_g hhh_gender empl_share_wa empl_share_ls empl_share_all depend_share"
		merge 1:1 state ea hh using "${gsdW3}/Data/1-CleanTemp/hh_hhm.dta", assert(match) keepusing(`hhh_vars') nogen
		rename C_1_hhhh_mar_status hhh_marital
		*add household dummies from mi imputation
		local mivars = "hhtoilet pchild hhempl hhwater hhtoilet"
		merge 1:1 state ea hh using "${gsdW3}/Data/1-CleanTemp/mi-pre.dta", nogen assert(match master) keepusing(`mivars')
		*define locals for variables in each topic
		local povertyvars = "D_46_lhood D_47_lhood_prev "
		replace D_39_hunger_nores_freq=1 if D_38_hunger_nores==0
		label define hunger_nores_freq 1 "Never", modify
		rename D_39_hunger_nores_freq D_39_hunger_nores 
		rename D_17_toilet D_17_toilet_type
		local hungervars = "D_39_hunger_nores D_40_hunger_sleep D_41_hunger_sleep_freq D_42_hunger_daynight D_43_hunger_daynight_freq D_44_hunger_coping " 
		*harm
		gen M_0_violent=0
		forvalues n=1/13 {
			replace M_0_violent=1 if inlist(I_90_harm_12m`n',7,8)  & !missing(I_90_harm_12m`n')
		}			
		local dwelling = "D_1_housingtype D_4_tenure D_9_water_home D_25_phone_network D_10_drink_source D_17_toilet D_3_slrooms_n D_2_rooms_n M_0_violent I_70_violence" 
		rename (watertime dist_mkt dist_school dist_health D_13_water_time_m D_16_tmarket_sum D_17_tedu_sum D_18_thealth_sum) (dist_water_cat dist_mkt_cat dist_school_cat dist_health_cat dist_water dist_mkt dist_school dist_health) 
		replace dist_water=dist_water/60
		local services = "cooking sanitation lighting dist_water* dist_mkt* dist_school* dist_health* nopolice_g fear_g" 
		rename G_P_21_improving_health_services G_P_21_improving_health_service
		ds * ,
		foreach v in `r(varlist)' {
			if substr("`v'",1,4)=="G_P_" {
				local `v' = substr("`v'",4,length("`v'")-2)
				rename `v'   P``v'' 
			}
		}
		local government = "P_1_allocating_land P_1_collecting_income_taxes P_1_keep_community_clean P_1_law_and_order P_1_managing_schools P_1_providing_healthcare P_1_solving_local_disputes P_2_creating_jobs P_2_fighting_corruption P_2_living_standards_poor P_2_maintaing_roads_brigdges P_2_prices_down P_2_reliable_electricity P_2_water_sanitation P_3_improve_lvng_cmnty P_3_improve_lvng_crchs P_3_improve_lvng_goss P_3_improve_lvng_localgv P_3_improve_lvng_spla P_3_improve_lvng_spss P_3_improve_lvng_stategv  P_21_comating_hiv P_21_educational_needs P_21_enough_to_eat P_21_improving_health_service P_21_overall_performance P_21_reducing_crime P_21_resolve_comm_conflict P_31_improve_lvng_bsness P_31_improve_lvng_intcmnty P_31_improve_lvng_ngos P_31_improve_lvng_unagncs P_31_improve_lvng_unmiss I_58_dispute_resolve I_60_dispute_resolve_police" 
		local safety = "I_63_safe_violence I_64_safe_walking_night I_65_safe_walking_day I_66_avoid_areas I_67_peaceful_area I_68_repeat_violence I_69_increased_violence I_70_violence "
		local perceptionvars = "I_4_satisf_life I_5_satisf_prev I_6_scale_happy I_7_scale_worried I_8_scale_depressed I_9_ladder_now I_10_ladder_past I_11_ladder_future I_12_agree_ideal I_13_agree_excellent I_14_agree_satisfied I_15_agree_important I_16_agree_nochange I_17_rate_personal I_18_rate_personal_past3m I_19_rate_personal_future I_20_rate_economic I_21_rate_economic_past3m I_22_rate_economic_future I_23_life_control I_24_fear_future" 
		local weights=""	
		local idplivingstandard = "memperroom memperroom_sl D_8_land_legal_main watersource"
		local dontrename = "memperroom memperroom_sl watersource"
		local conflict_vars = "A_6_migr_hhh_3m A_7_migr_permanent A_8_migr_dec13 A_9_migr_dec13_cause C_4_hhh_birthplace_ssd C_3_hhh_migra_time C_4_hhh_birthplace_ssd C_11_hhh_migra_from "
	}
	else if `w'==2 {
		*wave2
		use "${gsdW2}/Data/1-CleanOutput/hhq.dta", clear
		gen wave=2
		gen urban=1
		gen dataset=2
		rename (weight_x poorPPP poor31PPP poor125PPP weight_panel) (weight poorPPP_prob poor31PPP_prob poor125PPP_prob weight_panel3)
		*add household dummies from mi imputation
		local mivars = "hhtoilet pchild hhempl hhwater hhtoilet"
		merge 1:1 state ea hh using "${gsdW2}/Data/1-CleanTemp/mi-pre.dta", nogen assert(match master) keepusing(`mivars')
		*add household head variables
		local hhhvars = "hhh_literacy hhh_edu_level_g hhh_gender empl_share_wa empl_share_ls empl_share_all depend_share"
		merge 1:1 state ea hh using "${gsdW2}/Data/1-CleanTemp/hh_hhm.dta", assert(match) keepusing(`hhh_vars') nogen 
		rename C_1_hhhh_mar_status hhh_marital
		local rescale = "empl_share_wa empl_share_ls empl_share_all depend_share"
		foreach v of local rescale {
			replace `v'=`v'/100
		}
		*harm
		gen M_0_violent=0
		forvalues n=1/10 {
			replace M_0_violent=1 if inlist(M_0_harm_12m`n',7,8) & !missing(M_0_harm_12m`n')
		}	
		*Manual changes
		rename D_8_cook cooking
		*define locals for variables in each topic
		local povertyvars = "D_20_lhood D_21_lhood_prev "
		rename (D_19_hunger D_19_1_hunger_coping) (D_19_hunger_nores D_19_hunger_coping)
		local hungervars = "D_19_hunger_nores D_19_hunger_coping J_5_nomoney J_6_cop_lesspreferred J_7_cop_limitportion J_8_cop_limitadult J_9_cop_reducemeals J_10_cop_borrowrely J_11_cop_skip J_12_cop_collect J_13_cop_soldmore J_14_cop_eatelsewhere J_15_cop_spentsav J_16_cop_seeds J_17_cop_borrow J_18_cop_sellassets J_19_cop_reduceexp J_20_cop_migrate J_21_cop_beg J_22_cop_sellfemales J_23_cop_contsell J_24_cop_sellmonths" 
		local dwelling = "D_1_housingtype D_4_tenure D_5_water_home D_15_phone_network D_5_drink_source D_9_toilet D_3_slrooms_n D_2_rooms_n M_0_violent K_10_violence"
		rename D_9_toilet D_9_toilet_type
		rename (D_5_1_drink_source watertime dist_mkt dist_school dist_health D_6_water_time_sum D_16_tmarket_sum D_17_tedu_sum D_18_thealth_sum) (D_5_drink_source dist_water_cat dist_mkt_cat dist_school_cat dist_health_cat dist_water dist_mkt dist_school dist_health) 
		replace dist_water=dist_water/60
		local services = "memperroom cooking sanitation lighting dist_water* dist_mkt* dist_school* dist_health* nopolice_g fear_g " 
		rename G_P_21_improving_health_services G_P_21_improving_health_service
		ds * ,
		foreach v in `r(varlist)' {
			if substr("`v'",1,4)=="G_P_" {
				local `v' = substr("`v'",4,length("`v'")-2)
				rename `v'   P``v'' 
			}
		}
		rename P_4_1_dispute_resolve_police P_41_dispute_resolve_police
		local government = "P_1_allocating_land P_1_collecting_income_taxes P_1_keep_community_clean P_1_law_and_order P_1_managing_schools P_1_providing_healthcare P_1_solving_local_disputes P_2_creating_jobs P_2_fighting_corruption P_2_living_standards_poor P_2_maintaing_roads_brigdges P_2_prices_down P_2_reliable_electricity P_2_water_sanitation P_3_improve_lvng_cmnty P_3_improve_lvng_crchs P_3_improve_lvng_goss P_3_improve_lvng_localgv P_3_improve_lvng_spla P_3_improve_lvng_spss P_3_improve_lvng_stategv  P_41_dispute_resolve_police P_4_dispute_resolve P_21_comating_hiv P_21_educational_needs P_21_enough_to_eat P_21_improving_health_service P_21_overall_performance P_21_reducing_crime P_21_resolve_comm_conflict P_31_improve_lvng_bsness P_31_improve_lvng_intcmnty P_31_improve_lvng_ngos P_31_improve_lvng_unagncs P_31_improve_lvng_unmiss P_4_dispute_resolve P_41_dispute_resolve_police" 
		local safety = "K_3_safe_violence K_4_safe_walking_night K_5_safe_walking_day K_6_avoid_areas K_7_peaceful_area K_8_repeat_violence K_9_increased_violence K_10_violence" 
		rename (K_3__safe_violence SH_6_1_ladder_now SH_6_2_ladder_past SH_6_3_ladder_future SH_7_1_agree_ideal SH_7_2_agree_excellent SH_7_3_agree_satisfied SH_7_4_agree_important SH_7_5_agree_nochange) (K_3_safe_violence SH_1_ladder_now SH_2_ladder_past SH_3_ladder_future SH_7_agree_ideal SH_7_agree_excellent SH_7_agree_satisfied SH_7_agree_important SH_7_agree_nochange)
		rename (SWB_1_rate_personal SWB_2_rate_personal_past3m SWB_3_rate_personal_future SWB_4_rate_economic SWB_5_rate_economic_past3m SWB_6_rate_economic_future SWB_7_life_control SWB_8_fear_future) ( SW_1_rate_personal SW_2_rate_personal_past3m SW_3_rate_personal_future SW_4_rate_economic SW_5_rate_economic_past3m SW_6_rate_economic_future SW_7_life_control SW_8_fear_future)
		local perceptionvars = "SH_1_satisf_life SH_2_satisf_prev SH_3_scale_happy SH_4_scale_worried SH_5_scale_depressed SH_1_ladder_now SH_2_ladder_past SH_3_ladder_future SH_7_agree_ideal SH_7_agree_excellent SH_7_agree_satisfied SH_7_agree_important SH_7_agree_nochange SW_1_rate_personal SW_2_rate_personal_past3m SW_3_rate_personal_future SW_4_rate_economic SW_5_rate_economic_past3m SW_6_rate_economic_future SW_7_life_control SW_8_fear_future" 
		local weights="weight_panel3"
	}
	else if `w'==1 {
		*wave1
		use "${gsdW1}/Data/1-CleanOutput/hhq.dta", clear
		gen wave=1
		rename ( poorPPP poor31PPP poor125PPP) ( poorPPP_prob poor31PPP_prob poor125PPP_prob)
		gen dataset=2
		*add household dummies from mi imputation
		local mivars = "hhtoilet pchild hhempl hhwater hhtoilet"
		merge 1:1 state ea hh using "${gsdW1}/Data/1-CleanTemp/mi-pre.dta", nogen assert(match master) keepusing(`mivars')
		*add household head variables
		local hhhvars = "hhh_literacy hhh_edu_level_g hhh_gender empl_share_wa empl_share_ls empl_share_all depend_share"
		merge 1:1 state ea hh using "${gsdW1}/Data/1-CleanTemp/hh_hhm.dta", assert(match) keepusing(`hhh_vars') nogen
		rename C_1_hhhh_mar_status hhh_marital
		local rescale = "empl_share_wa empl_share_ls empl_share_all depend_share"
		foreach v of local rescale {
			replace `v'=`v'/100
		}
		*harm
		gen M_0_violent=0
		forvalues n=1/7 {
			replace M_0_violent=1 if inlist(M_0_harm_12m`n',7,8) & !missing(M_0_harm_12m`n')
		}		
		*Manual changes
		rename D_8_cook cooking
		rename cons_defl food_cons_defl
		*define locals for variables in each topic
		local povertyvars = "D_20_lhood D_21_lhood_prev "
		rename (D_19_hunger D_19_1_hunger_coping) (D_19_hunger_nores D_19_hunger_coping)
		local hungervars = "D_19_hunger_nores D_19_hunger_coping"
		local dwelling = "D_4_tenure D_5_water_home D_15_phone_network D_5_drink_source D_9_toilet D_3_slrooms_n K_10_violence M_0_violent D_2_rooms_n"
		rename D_9_toilet D_9_toilet_type
		rename (D_5_1_drink_source watertime dist_mkt dist_school dist_health D_6_water_time_sum D_16_tmarket_sum D_17_tedu_sum D_18_thealth_sum) (D_5_drink_source dist_water_cat dist_mkt_cat dist_school_cat dist_health_cat dist_water dist_mkt dist_school dist_health) 
		replace dist_water=dist_water/60
		local services = "memperroom cooking sanitation lighting dist_water* dist_mkt* dist_school* dist_health* nopolice_g fear_g " 
		rename (G_P_21_improving_health_services G_P_21_resolving_comity_conflict) (G_P_21_improving_health_service G_P_21_resolve_comm_conflict)
		ds * ,
		foreach v in `r(varlist)' {
			if substr("`v'",1,4)=="G_P_" {
				local `v' = substr("`v'",4,length("`v'")-2)
				rename `v'   P``v'' 
			}
		}
		local government = "P_1_allocating_land P_1_collecting_income_taxes P_1_keep_community_clean P_1_law_and_order P_1_managing_schools P_1_providing_healthcare P_1_solving_local_disputes P_2_creating_jobs P_2_fighting_corruption P_2_living_standards_poor P_2_maintaing_roads_brigdges P_2_prices_down P_2_reliable_electricity P_2_water_sanitation P_3_improve_lvng_cmnty P_3_improve_lvng_crchs P_3_improve_lvng_goss P_3_improve_lvng_localgv P_3_improve_lvng_spla P_3_improve_lvng_spss P_3_improve_lvng_stategv P_21_comating_hiv P_21_educational_needs P_21_enough_to_eat P_21_improving_health_service P_21_overall_performance P_21_reducing_crime P_21_resolve_comm_conflict P_31_improve_lvng_bsness P_31_improve_lvng_intcmnty P_31_improve_lvng_ngos P_31_improve_lvng_unagncs P_31_improve_lvng_unmiss P_4_dispute_resolve " 
		local safety = "K_3_safe_violence K_4_safe_walking_night K_5_safe_walking_day K_6_avoid_areas K_7_peaceful_area K_8_repeat_violence K_9_increased_violence K_10_violence" 
		rename (K_3__safe_violence SH_6_1_ladder_now SH_6_2_ladder_past SH_6_3_ladder_future SH_7_1_agree_ideal SH_7_2_agree_excellent SH_7_3_agree_satisfied SH_7_4_agree_important SH_7_5_agree_nochange) (K_3_safe_violence SH_1_ladder_now SH_2_ladder_past SH_3_ladder_future SH_7_agree_ideal SH_7_agree_excellent SH_7_agree_satisfied SH_7_agree_important SH_7_agree_nochange)
		rename (SWB_1_rate_personal SWB_2_rate_personal_past3m SWB_3_rate_personal_future SWB_4_rate_economic SWB_5_rate_economic_past3m SWB_6_rate_economic_future SWB_7_life_control SWB_8_fear_future) ( SW_1_rate_personal SW_2_rate_personal_past3m SW_3_rate_personal_future SW_4_rate_economic SW_5_rate_economic_past3m SW_6_rate_economic_future SW_7_life_control SW_8_fear_future)
		local perceptionvars = "SH_1_satisf_life SH_2_satisf_prev SH_3_scale_happy SH_4_scale_worried SH_5_scale_depressed SH_1_ladder_now SH_2_ladder_past SH_3_ladder_future SH_7_agree_ideal SH_7_agree_excellent SH_7_agree_satisfied SH_7_agree_important SH_7_agree_nochange SW_1_rate_personal SW_2_rate_personal_past3m SW_3_rate_personal_future SW_4_rate_economic SW_5_rate_economic_past3m SW_6_rate_economic_future SW_7_life_control SW_8_fear_future" 
	}
	*keep only analysis vars
	keep `commonvars' weight* wave `hhhvars' `povertyvars' `mivars'	`hungervars' `dwelling' `services' `government' `safety' `perceptionvars' `idplivingstandard' `idpsafety' `idphouserestore' 	`idpdocreturn' `idpreunif' `idppublic' `idpremedy' `idporigin' `conflict_vars'
	*Tag non-sn items
	local nonsn "`commonvars' `hhhvars' `weights' `services' `dontrename' "
	ds `nonsn', not
	*rename variables for convenience
	foreach v of varlist `r(varlist)' {
		local name = substr("`v'" , ustrpos("`v'","_",4)+1 , .)
		*display "`name'"
		rename `v'  `name'
	}
	*clean up and save
	label define lwave 1 "Wave1" 2 "Wave2" 3 "Wave3" 4 "Wave4"
	label var wave "Wave of data collection"
	label val wave lwave
	format lhood lhood_prev %24.0f
	save "${gsdTemp}/hhq_analysis_W`w'.dta", replace
}
*prepare appended dataset
use "${gsdTemp}/hhq_analysis_W4.dta", clear
append using "${gsdTemp}/hhq_analysis_W3.dta"
append using "${gsdTemp}/hhq_analysis_W2.dta"
append using "${gsdTemp}/hhq_analysis_W1.dta"
*clean some variables
replace lhood=1000 if lhood==10
label define lhood 1000 "Other", modify
replace lhood_prev=1000 if lhood_prev==10
label define lhood_prev 1000 "Other", modify
*generate panel identifier between waves 1, 2, and 4
* three types of households, (i) single wave hh; (ii) panel waves 1, 2, and 4;
* (iii) panel waves 2 and 4; and (iv) panel waves 1 and 4.
egen id=group(state ea hh)
bys id: gen panel=_N-1
forvalues n=1/4 {
	gen xwave`n'=wave==`n'
	bys id: egen wave`n'=total(xwave`n')
}
gen panel_w12=(wave1==1 & wave2==1 & inlist(wave,1,2))
label var panel_w12 "Waves 1 and 2 panel"
gen panel_w14=(wave1==1 & wave4==1 & inlist(wave,1,4))
label var panel_w14 "Waves 1 and 4 panel"
gen panel_w24=(wave2==1 & wave4==1 & inlist(wave,2,4))
label var panel_w24  "Waves 2 and 4 panel"
gen panel_w124=(wave1==1 & wave2==1 & wave4==1 & inlist(wave,1,2,4))
label var panel_w124  "Waves 1, 2, and 4 panel"
label val panel_* lyn
drop x* wave? panel id
*set survey data
egen stratum=group(state urban) 
gen pweight=weight*hhsize
label var pweight "Household weight adjusted by household size"
label var stratum "Strata"
svyset ea [pweight=weight], strata(stratum)
order dataset wave stratum urban state ea hh weight pweight hhsize plinePPP poorPPP_prob poor, first
order panel*, last

*revise monetary amounts to 2017 SSPs for interpretation
local monetary = "tc_imp tc_core plinePPP pline125PPP pline31PPP mi_cons_f mi_cons_nf mi_cons_d"
quietly foreach v of local monetary {
	*bring prices to July 2017: CPI = 3355.756; in July 2015 was = 239.91; Ratio = 13.988
	*commercial exchange into USD July 2017 = 134.98 / parallel = 156.05 ; in 2015 the exchange rate was of 4.089 according to WB but 11.87 according to MPS
	replace `v'= (`v' * 13.988)
	local oldname : variable label `v' 
	local newname =  substr("`oldname'",1,length("`oldname'")-8)
	label var `v' "`newname' 2017 SSP"
} 
*Save with Warrap for IDP analysis
save "${gsdData}/1-CleanTemp/hhq_analysis_pre_idp.dta", replace
*drop Warrap for now, for Pov Profile chapters
drop if state==81
save "${gsdData}/1-CleanTemp/hhq_analysis.dta", replace


*prepare hhm data
*define locals to keep the same variables for each wave, since sometimes the names/labels change
local commonvars = "dataset urban weight state ea hh hhmid ishead literacy edu_level_g youth working_age age_g school_age_primary school_age_secondary school_age_prim_sec enrolled lfparticip laborchar_7d u_rate emp_sector_5 status u_rate_12m lfparticip_12m laborchar_12m"
forvalues w=1/4 {
	*wave4
	if `w'==4 {
		use "${gsdData}/1-CleanOutput/hhm.dta", clear
		gen wave=4
		gen urban=1
		label define lurban 0 "Rural" 1 "Urban"
		label val urban lurban
		label var urban "Urban/Rural"
		*add urban variable
		merge m:1 state ea hh using "${gsdData}/1-CleanOutput/hhq.dta", assert(match) keepusing(weight weight_panel1 weight_panel2) nogen
		*rename variables
		rename (B_1_hhm_age B_7_hhm_gender B_8_hhm_relation) (age gender relation)
		*define locals for variables in each topic
		local demographics = "ishead age gender relation"
		local weights=""
		rename (B_30_hhm_edu_current B_31_hhm_edu_reason B_33_hhm_edu_ever B_35_hhm_edu_level B_32_hhm_edu_dec13 B_49_hhm_job_search_no) (B_30_edu_current B_31_edu_reason B_33_edu_ever B_35_edu_level B_32_edu_dec13 B_49_job_search_no)
		local schoolvars = "B_30_edu_current B_31_edu_reason B_33_edu_ever B_35_edu_level B_32_edu_dec13"
		recode B_56_emp_7d_prim (1=1 "Salaried labour or labour paid in kind") (2=2 "Run a non-farm business") (3=3 "Help in any kind of non-farm business") (4=5 "Farming or hunting or fishing at own account / help on family farm") (5=4 "Apprenticeship or training"), gen(B_56_empl_primary7d)
		recode B_45_emp_12m_detail (1=1 "Salaried labour or labour paid in kind") (2=2 "Run a non-farm business") (3=3 "Help in any kind of non-farm business")  (4=5 "Farming or hunting or fishing at own account / help on family farm") (5=4 "Apprenticeship or training"), gen(B_45_empl_primary12m)
		replace B_45_empl_primary12m=B_56_empl_primary7d if missing(B_45_empl_primary12m) & !missing(B_56_empl_primary7d)
		local emplvars = " B_51_emp_inac_sub B_56_empl_primary7d B_45_empl_primary12m B_49_job_search_no"
		local weights = "weight_panel1 weight_panel2"
		local healthvars = "B_8_hhm_relation B_24_delivery B_25_deliveryassist"
		local idplaborvars = "B_19_hhh_tribe B_64_emp_prev emp_sector_5_prev B_57_emp_7d_months B_58_emp_7d_hours B_66_emp_prev_months B_67_emp_prev_hours B_49_hhm_job_search_no B_54_hhm_job_obs B_55_hhm_job_support B_65_emp_prev_conflict B_68_earning_prev B_69_resum_empl_want B_70_resum_empl B_71_resum_empl_reason"
		local idpdoc = "B_20_legal_id B_21_legal_id_type__1 B_21_legal_id_type__2 B_21_legal_id_type__3 B_21_legal_id_type__4 B_21_legal_id_type__5 B_21_legal_id_type__6 B_21_legal_id_type__7 B_21_legal_id_type__8 B_21_legal_id_type__9 B_21_legal_id_type__10 B_21_legal_id_type__11 B_21_legal_id_type__1000 B_21_legal_id_type__n98 B_21_legal_id_type__n99 B_21_legal_id_type_spec "
		local dontrenamehhm = "emp_sector_5_prev"

		}
	*wave3
	else if `w'==3 {
		use "${gsdW3}/Data/1-CleanOutput/hhm.dta", clear
		gen wave=3
		gen dataset=2
		*add urban variable
		merge m:1 state ea hh using "${gsdW3}/Data/1-CleanOutput/hhq.dta", assert(match) keepusing(urban weight) nogen
		*rename variables
		rename (B_2_age B_3_ishead B_15_gender B_16_relation) (age ishead gender relation)
		recode emp_sector_6 (1 = 1 "Agriculture") (2 = 2 "Manufacturing") (3 = 3 "Services") (4 = 4 "Education") ( 5 6 = 5 "Public sector / defence") (1000 = .) , gen(emp_sector_5) 
		*define locals for variables in each topic
		local demographics = "ishead age gender relation"
		drop laborchar_12m
		rename ( lab_force u_rate_LT laborchar_LT) ( lfparticip_12m  u_rate_12m laborchar_12m)
		replace lfparticip_12m=. if lfparticip_12m<0
		replace u_rate_12m=1 if u_rate_12m==2
		local emplvars = "B_56_empl_primary7d B_47_empl_primary12m B_70_job_search_no"
		local schoolvars = "B_26_edu_current B_27_edu_ever B_28_edu_level"
		local weights=""
}
	else if `w'==2 {
		*wave2
		use "${gsdW2}/Data/1-CleanOutput/hhm.dta", clear
		gen wave=2
		gen urban=1
		gen dataset=2
		*add urban variable
		merge m:1 state ea hh using "${gsdW2}/Data/1-CleanOutput/hhq.dta", assert(match) keepusing(weight_x weight_panel) nogen
		rename (weight_x weight_panel BB_3_relation) (weight weight_panel3 relation)
		local weights = "weight_panel3"
		*rename variables
		rename (BB_4_age B_3_ishead BB_2_gender emp_sector_5 school_age_prim_second) (age ishead gender xemp_sector_5 school_age_prim_sec)
		recode xemp_sector_5 (1 = 1 "Agriculture") (2 = 2 "Manufacturing") (3 = 3 "Services") (4 = 4 "Education") ( 5 6 = 5 "Public sector / defence") (1000 = 1000 "Other") , gen(emp_sector_5) 
		*define locals for variables in each topic
		local demographics = "weight_panel ishead age gender relation"
		drop laborchar_12m
		rename ( lab_force u_rate_LT laborchar_LT) ( lfparticip_12m  u_rate_12m laborchar_12m)
		replace lfparticip_12m=. if lfparticip_12m<0
		replace u_rate_12m=1 if u_rate_12m==2
		local emplvars = "BW_8_empl_primary7d BW_6_empl_primary12m BW_12_job_search_no"
		local schoolvars = "BE_2_edu_current BE_3_edu_ever BE_4_edu_level" 
	}
	else if `w'==1 {
		*wave1
		use "${gsdW1}/Data/1-CleanOutput/hhm.dta", clear
		gen wave=1
		gen dataset=2
		*add urban variable
		merge m:1 state ea hh using "${gsdW1}/Data/1-CleanOutput/hhq.dta", assert(match) keepusing(urban weight) nogen
		*rename variables
		local weights=""
		rename (BB_4_age B_3_ishead BB_2_gender emp_sector_5 school_age_prim_second BB_3_relation) (age ishead gender xemp_sector_5 school_age_prim_sec relation)
		recode xemp_sector_5 (1 = 1 "Agriculture") (2 = 2 "Manufacturing") (3 = 3 "Services") (4 = 4 "Education") ( 5 6 = 5 "Public sector / defence") (1000 = 1000 "Other") , gen(emp_sector_5) 
		*define locals for variables in each topic
		local demographics = "ishead age gender relation"
		drop laborchar_12m
		rename ( lab_force u_rate_LT laborchar_LT) ( lfparticip_12m  u_rate_12m laborchar_12m)
		replace lfparticip_12m=. if lfparticip_12m<0
		replace u_rate_12m=1 if u_rate_12m==2
		local emplvars = "BW_8_empl_primary7d BW_6_empl_primary12m BW_12_job_search_no"
		local schoolvars = "BE_2_edu_current BE_3_edu_ever BE_4_edu_level"
		local weights = ""
	}
	*keep only analysis vars
	keep `commonvars' wave `demographics' `schoolvars' `weights' `emplvars' `healthvars' `idplaborvars' `idpdoc'
	*Tag non-sn items
	local nonsn "`commonvars' `weights' `calculatedvars' `dontrenamehhm' "
	ds `nonsn', not
	*rename variables for convenience
	foreach v of varlist `r(varlist)' {
		local name = substr("`v'" , ustrpos("`v'","_",5 )+1 , .)
		*display "`name'"
		rename `v'  `name'
	}
	label define lwave 1 "Wave1" 2 "Wave2" 3 "Wave3" 4 "Wave4"
	label var wave "Wave of data collection"
	label val wave lwave
	save "${gsdTemp}/hhm_analysis_W`w'.dta", replace
}
*prepare appended dataset
use "${gsdTemp}/hhm_analysis_W4.dta", clear
append using "${gsdTemp}/hhm_analysis_W3.dta"
append using "${gsdTemp}/hhm_analysis_W2.dta"
append using "${gsdTemp}/hhm_analysis_W1.dta"
*generate panel identifier between waves 1, 2, and 4
* three types of households, (i) single wave hh; (ii) panel waves 1, 2, and 4;
* (iii) panel waves 2 and 4; and (iv) panel waves 1 and 4.
egen id=group(state ea hh)
bys id: gen panel=_N-1
tab panel wave
forvalues n=1/4 {
	gen xwave`n'=wave==`n'
	bys id: egen wave`n'=total(xwave`n')
}
egen xpanel_w124=rowtotal(wave1 wave2 wave4)
gen panel_w1w2w4=(xpanel_w124==3)
label var panel_w1w2w4 "Household interviewed in waves 1, 2, and 4"
egen xpanel_w24=rowtotal(wave2 wave4)
gen panel_w2w4=(xpanel_w24==2) 
replace panel_w2w4=0 if wave==1
label var panel_w2w4 "Household interviewed in waves 2 and 4"
label val panel_* lyn
drop x* wave? panel id
*set survey data
egen stratum=group(state urban) 
label var stratum "Strata"
svyset ea [pweight=weight], strata(stratum)
order dataset wave stratum urban state ea hh weight hhmid ishead age gender age_g youth working_age school_age_primary school_age_secondary school_age_prim_sec, first
order literacy edu_level_g edu_level edu_ever enrolled edu_current edu_reason , after(school_age_prim_sec)
order status lfparticip laborchar_7d u_rate emp_sector_5, after(edu_reason)
order panel_w1w2w4 panel_w2w4 weight_panel1 weight_panel2, last
*drop Malakal
drop if state==5
*Save with Warrap for IDP analysis
save "${gsdData}/1-CleanTemp/hhm_analysis_pre_idp.dta", replace
*drop Warrap for now, for Pov Profile chapters
drop if state==81
save "${gsdData}/1-CleanTemp/hhm_analysis.dta", replace


*Prepare 2009 data
*hhq data
use "${gsdNBHS}/NBHS_HH.dta", clear
keep if state>81
egen stratum=group(state urban)
gen pweight=hhweight*hhsize
rename (cluster hhid hhweight) (ea hh weight)
svyset ea [pw=pweight], strata(stratum)
replace urban=0 if urban==2
label define lurban 0 "Rural" 1 "Urban", modify
label val urban lurban
*Poverty line 1.90 USD in USD PPP (2011)
* The 2009 PPP for SSD is 1/1.0858328
* Thus, to convert May 2009 SDG into July 2009 SSP we:
* do not convert since SSPs were introduced at par with SDGs when the currency was first introduced
* multiply by the SSD PPP conversion factor, and adjust for inflation
* CPI July 2015: 239.906; May 2009
* = pcexpm/30 * 1.08 / 72.583*239.906
*gen tc_imp=pcexpm/30*1.08/72.583*239.906
gen tc_imp=pcexpm/30 * 1 /72.583*3355.756
gen wave=0
save "${gsdData}/1-CleanTemp/NBHS.dta", replace
*hhm data
use "${gsdNBHS}/NBHS_IND.dta", clear
keep if state>81
egen stratum=group(state urban)
rename hhweight weight
rename (cluster hhid) (ea hh)
svyset ea [pw=weight], strata(stratum)
rename (b3 b41) (gender age)
replace urban=0 if urban==2
gen wave=0
gen dataset=3
save "${gsdData}/1-CleanTemp/NBHS_hhm.dta", replace


*create food dataset with food disaggregated by own production and not
local commonvars = "state ea hh itemid mod_item cons_value_org cons_value_fin cons price_ssp_per_kg_cleaned cons_q_kg"
*wave4
use "${gsdData}/1-CleanOutput/food.dta", clear
keep `commonvars' D_8_free_yn D_10_free_main 
gen wave=4
rename (D_8_free_yn D_10_free_main) (free_yn free_main)
recode free_main (-99=.c "Refused to respond") (-98=.a "Don't know") (0=1 "Own production") (1=2 "Gift") (2=3 "Aid") (3=4 "Government") (nonmissing=.), gen(x)
drop free_main 
rename x free_main
label var free_main "Where did you receive most of the free %rostertitle% from?"
save "${gsdTemp}/food_analysis_W4.dta", replace
*wave3
use "${gsdW3}/Data/1-CleanOutput/food.dta", clear
rename (E_22_free_yn E_23_free_main ) (free_yn free_main)
keep `commonvars' free_yn free_main 
gen wave=3
recode free_main (-99=.c "Refused to respond") (-98=.a "Don't know") (0=1 "Own production") (1=2 "Gift") (2=3 "Aid") (3=4 "Government") (nonmissing=.), gen(x)
drop free_main 
rename x free_main
label var free_main "Where did you receive most of the free %rostertitle% from?"
save "${gsdTemp}/food_analysis_W3.dta", replace
*wave2
use "${gsdW2}/Data/1-CleanOutput/food.dta", clear
keep `commonvars' free_yn free_main 
gen wave=2
recode free_main (-99=.c "Refused to respond") (-98=.a "Don't know") (0=1 "Own production") (1=2 "Gift") (2=3 "Aid") (3=4 "Government") (nonmissing=.), gen(x)
drop free_main 
rename x free_main
label var free_main "Where did you receive most of the free %rostertitle% from?"
save "${gsdTemp}/food_analysis_W2.dta", replace
*wave1
use "${gsdW1}/Data/1-CleanOutput/food.dta", clear
keep `commonvars' free_yn free_main 
gen wave=1
recode free_main (-99=.c "Refused to respond") (-98=.a "Don't know") (0=1 "Own production") (1=2 "Gift") (2=3 "Aid") (3=4 "Government") (nonmissing=.), gen(x)
drop free_main 
rename x free_main
label var free_main "Where did you receive most of the free %rostertitle% from?"
save "${gsdTemp}/food_analysis_W1.dta", replace
*prepare appended dataset
use "${gsdTemp}/food_analysis_W4.dta", clear
append using "${gsdTemp}/food_analysis_W3.dta"
append using "${gsdTemp}/food_analysis_W2.dta"
append using "${gsdTemp}/food_analysis_W1.dta"
keep if mod_item==0
replace free_yn=. if free_yn<0
order wave, first
*create own production and aid consumption aggregates
gen cons_own=cons_value_fin if free_yn==1 & inlist(free_main,1)
gen cons_aid=cons_value_fin if free_yn==1 & inlist(free_main,2,3,4)
tab free_main, gen(type)
*collapse into hh data
collapse (sum) cons_own cons_aid cons_food_summ=cons_value_fin (max) type* , by(wave state ea hh) 
label var type1 "Own production"
label var type2 "Gift"
label var type3 "Aid"
label var type4 "Gov.t."
*deflate appropriately
*NBS CPI:July 2017: CPI = 3355.756; May 2017 3576.183, October 2016: 1779.765; Feb 2016: 517.19;  July 2015 239.906
*get hhsize  and within wave deflators
merge 1:1  wave state ea hh using "${gsdData}/1-CleanTemp/hhq_analysis.dta", nogen assert(match master) keep(match) keepusing(hhsize food_cons_defl)
*total core food consumption
replace cons_food_summ=cons_food_summ/ 7 / food_cons_defl / (3576.183/3355.756) / hhsize if wave==4
replace cons_food_summ=cons_food_summ/ 7 / food_cons_defl / (1779.765/3355.756) / hhsize if wave==3
replace cons_food_summ=cons_food_summ/ 7 / food_cons_defl / (517.19/3355.756) / hhsize if wave==2
replace cons_food_summ=cons_food_summ/ 7 / food_cons_defl / (239.906/3355.756) / hhsize if wave==1
*own production food (deflate each wave independently
gen cons_own_sum=cons_own/ 7 / food_cons_defl / (3576.183/3355.756) / hhsize if wave==4
replace cons_own_sum=cons_own/ 7 / food_cons_defl / (1779.765/3355.756) / hhsize if wave==3
replace cons_own_sum=cons_own/ 7 / food_cons_defl / (517.19/3355.756) / hhsize if wave==2
replace cons_own_sum=cons_own/ 7 / food_cons_defl / (239.906/3355.756) / hhsize if wave==1
replace cons_own=cons_own_sum/cons_food_summ
label var cons_own "Share of core consumption obtained through own production"
gen own_prod=cons_own>.33
label var own_prod "More than half of household food consumption is through own production"
*aid food
gen cons_aid_sum=cons_aid/ 7 / food_cons_defl / (3576.183/3355.756) / hhsize if wave==4
replace cons_aid_sum=cons_aid/ 7 / food_cons_defl / (1779.765/3355.756) / hhsize if wave==3
replace cons_aid_sum=cons_aid/ 7 / food_cons_defl / (517.19/3355.756) / hhsize if wave==2
replace cons_aid_sum=cons_aid/ 7 / food_cons_defl / (239.906/3355.756) / hhsize if wave==1
replace cons_aid=cons_aid_sum/cons_food_summ
label var cons_aid "Share of core consumption obtained through aid"
gen aid=cons_aid>.33
label var aid "More than half of household food consumption is through aid"
*clean up and save
label val own_prod aid lyn
save "${gsdTemp}/food_ownprod_aid.dta", replace
*do the same for 2009 data


*create asset dataset
local commonvars = "wave dataset state ea hh index own owntotal"
*Wave 4
use "${gsdData}/1-CleanOutput/assets.dta", clear
rename (G_1_own_yn G_2_owntotal) (own owntotal)
keep if own==1
gen wave=4
keep `commonvars'
save "${gsdTemp}/assets_analysis_W4.dta", replace
*Wave3
use "${gsdW3}/Data/1-CleanOutput/assets.dta", clear
rename (H_1_own H_2_owntotal) (own owntotal)
keep if own==1
gen wave=3
gen dataset=2
keep `commonvars'
save "${gsdTemp}/assets_analysis_W3.dta", replace
*Wave2
use "${gsdW2}/Data/1-CleanOutput/assets.dta", clear
keep if own==1
gen wave=2
gen dataset=2
keep `commonvars'
save "${gsdTemp}/assets_analysis_W2.dta", replace
*Wave2
use "${gsdW1}/Data/1-CleanOutput/assets.dta", clear
rename (own_post owntotal_post) (own owntotal)
keep if own==1
gen wave=1
gen dataset=2
keep `commonvars'
save "${gsdTemp}/assets_analysis_W1.dta", replace
*consolidate
use "${gsdTemp}/assets_analysis_W4.dta", clear
append using "${gsdTemp}/assets_analysis_W3.dta"
append using "${gsdTemp}/assets_analysis_W2.dta"
append using "${gsdTemp}/assets_analysis_W1.dta"
order wave dataset state ea hh index own owntotal
drop own
save "${gsdData}/1-CleanTemp/assets_analysis.dta", replace
*save wide dataset
use "${gsdData}/1-CleanTemp/assets_analysis.dta", clear
reshape wide owntotal , i(wave dataset state ea hh) j(index)
rename owntotal1 Cars
rename owntotal2 Trucks
rename owntotal3 Motorcycle_motor
rename owntotal4 Rickshaw
rename owntotal5 Bicycle
rename owntotal6 Canoe_boat
rename owntotal7 Plough
rename owntotal8 Television
rename owntotal9 Satellite_dish
rename owntotal10 DVD_CD_player
rename owntotal11 Radio_transistor
rename owntotal12 Mobile_phone
rename owntotal13 Computer_laptop
rename owntotal14 Refrigerator
rename owntotal15 Washing_machine
rename owntotal16 Fan
rename owntotal17 Air_cooler_air_conditioner
rename owntotal18 Mattress_or_bed
rename owntotal19 Mosquito_net
rename owntotal20 Electric_ironer
rename owntotal21 Hoe_spade_axe
save "${gsdData}/1-CleanTemp/assets_analysis_wide.dta", replace



*create livestock dataset
local commonvars = "wave dataset state ea hh index raise raised_q"
*Wave 4
use "${gsdData}/1-CleanOutput/livestock.dta", clear
rename (F_1_own_yn F_2_own_n) (raise raised_q)
keep if raise==1
gen wave=4
keep `commonvars'
save "${gsdTemp}/livestock_analysis_W4.dta", replace
*Wave3
use "${gsdW3}/Data/1-CleanOutput/livestock.dta", clear
rename (G_1_raise G_2_own_n) (raise raised_q)
keep if raise==1
gen wave=3
gen dataset=2
keep `commonvars'
save "${gsdTemp}/livestock_analysis_W3.dta", replace
*Wave2
use "${gsdW2}/Data/1-CleanOutput/livestock.dta", clear
rename (raise raised_q) (raise raised_q)
keep if raise==1
gen wave=2
gen dataset=2
keep `commonvars'
save "${gsdTemp}/livestock_analysis_W2.dta", replace
*Wave2
use "${gsdW1}/Data/1-CleanOutput/livestock.dta", clear
rename (raise raised_q) (raise raised_q)
keep if raise==1
gen wave=1
gen dataset=2
keep `commonvars'
save "${gsdTemp}/livestock_analysis_W1.dta", replace
*consolidate
use "${gsdTemp}/livestock_analysis_W4.dta", clear
append using "${gsdTemp}/livestock_analysis_W3.dta"
append using "${gsdTemp}/livestock_analysis_W2.dta"
append using "${gsdTemp}/livestock_analysis_W1.dta"
order wave dataset state ea hh index raise raised_q
save "${gsdData}/1-CleanTemp/livestock_analysis.dta", replace
*save wide dataset
use "${gsdData}/1-CleanTemp/livestock_analysis.dta", clear
reshape wide raise raised_q , i(wave dataset state ea hh) j(index)
rename raise1 Cattle
rename raise2 Horses
rename raise3 Donkey_Mules
rename raise4 Pigs
rename raise5 Sheep
rename raise6 Goats
rename raise7 Poultry
rename raise8 Camels
rename raised_q1 Cattle_q
rename raised_q2 Horses_q
rename raised_q3 Donkey_Mules_q
rename raised_q4 Pigs_q
rename raised_q5 Sheep_q
rename raised_q6 Goats_q
rename raised_q7 Poultry_q
rename raised_q8 Camels_q
save "${gsdData}/1-CleanTemp/livestock_analysis_wide.dta", replace





*prepare nonfood data for analysis
*create food dataset with food disaggregated by own production and not
local commonvars = "state ea hh itemid mod_item cons_value cons price_ssp_cleaned item_recall"
*wave4
use "${gsdData}/1-CleanTemp/nonfood.dta", clear
keep `commonvars' E_4_free_yn E_5_free_main 
gen wave=4
rename (E_4_free_yn E_5_free_main ) (free_yn free_main)
recode free_main (-99=.c "Refused to respond") (-98=.a "Don't know") (0=1 "Own production") (1=2 "Gift") (2=3 "Aid") (3=4 "Government") (nonmissing=.), gen(x)
drop free_main 
rename x free_main
label var free_main "Where did you receive most of the free %rostertitle% from?"
save "${gsdTemp}/nonfood_analysis_W4.dta", replace
*wave3
use "${gsdW3}/Data/1-CleanTemp/nonfood.dta", clear
rename (F_9_free_yn F_10_free_main) (free_yn free_main)
keep `commonvars' free_yn free_main 
gen wave=3
recode free_main (-99=.c "Refused to respond") (-98=.a "Don't know") (0=1 "Own production") (1=2 "Gift") (2=3 "Aid") (3=4 "Government") (nonmissing=.), gen(x)
drop free_main 
rename x free_main
label var free_main "Where did you receive most of the free %rostertitle% from?"
save "${gsdTemp}/nonfood_analysis_W3.dta", replace
*wave2
use "${gsdW2}/Data/1-CleanTemp/nonfood.dta", clear
rename recall item_recall
keep `commonvars' free_yn free_main 
gen wave=2
recode free_main (-99=.c "Refused to respond") (-98=.a "Don't know") (0=1 "Own production") (1=2 "Gift") (2=3 "Aid") (3=4 "Government") (nonmissing=.), gen(x)
drop free_main 
rename x free_main
label var free_main "Where did you receive most of the free %rostertitle% from?"
save "${gsdTemp}/nonfood_analysis_W2.dta", replace
*wave1
use "${gsdW1}/Data/1-CleanTemp/nonfood.dta", clear
rename (recall price  ) (item_recall price_ssp_cleaned)
keep `commonvars' 
gen wave=1
save "${gsdTemp}/nonfood_analysis_W1.dta", replace
*NBHS
use "${gsdNBHS}/NBHS_NONFOOD.dta", clear

*prepare appended dataset
use "${gsdTemp}/nonfood_analysis_W4.dta", clear
append using "${gsdTemp}/nonfood_analysis_W3.dta"
append using "${gsdTemp}/nonfood_analysis_W2.dta"
append using "${gsdTemp}/nonfood_analysis_W1.dta"
save "${gsdTemp}/nonfood_analysis.dta", replace
