*this do file performs the poverty analysis
use  "${gsdData}/1-CleanTemp/hhq_analysis.dta", clear
svyset ea [pw=pweight], strata(stratum)
keep dataset wave stratum urban state ea hh weight pweight tc_imp poor* poor*PPP_prob hhh_gender pline*PPP quintiles_tc

* 1 - Poverty trends
*Poverty headcount ratio: % of Population living on $1.90 PPP per person per day
qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean poorPPP_prob se lb ub) npos(col) f(4) replace sebnone h2("poverty HFS")
qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1, svy sum c(mean poorPPP_prob se lb ub) npos(col) f(4) append sebnone h2("poverty IDP")
*test difference in overall poverty across waves 1 and 3
svy: mean poorPPP_prob if dataset==2 & inlist(wave,1,3) , over(wave)
lincom [poorPPP_prob]Wave1 - [poorPPP_prob]Wave3
*test difference in rural poverty across waves 1 and 3
svy: mean poorPPP_prob if dataset==2, over(wave urban)
lincom [poorPPP_prob]_subpop_1 - [poorPPP_prob]_subpop_4
*test difference in urban poverty across waves 1 and 4
lincom [poorPPP_prob]_subpop_2 - [poorPPP_prob]_subpop_6
*test difference in urban poverty across waves 2 and 4
lincom [poorPPP_prob]_subpop_3 - [poorPPP_prob]_subpop_6
*test difference in urban poverty across waves 3 and 4
lincom [poorPPP_prob]_subpop_5 - [poorPPP_prob]_subpop_6
*test difference in rural/urban poverty in wave 3
lincom [poorPPP_prob]_subpop_4 - [poorPPP_prob]_subpop_5
*means of other poverty lines
svy: mean poor125PPP_prob poor31PPP_prob if dataset==2 & inlist(wave,1,3) , over(wave )
*Poverty gap/depth: mean aggregate income relative to poverty line
gen gap = (plinePPP - tc_imp)/plinePPP if (!missing(tc_imp)) 
replace gap = 0 if (tc_imp>plinePPP & !missing(tc_imp))
qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean gap se lb ub) npos(col) f(4) append sebnone h2("gap HFS")
qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1, svy sum c(mean gap se lb ub) npos(col) f(4) append sebnone h2("gap IDP")
*test difference in overall gap across waves 1 and 3
svy: mean gap if dataset==2 & inlist(wave,1,3) , over(wave )
lincom [gap]Wave1 - [gap]Wave3
*test difference in rural gap across waves 1 and 3
svy: mean gap if dataset==2, over(wave urban)
lincom [gap]_subpop_1 - [gap]_subpop_4
*test difference in urban gap across waves 1 and 4
lincom [gap]_subpop_2 - [gap]_subpop_6
*test difference in urban gap across waves 2 and 4
lincom [gap]_subpop_3 - [gap]_subpop_6
*test difference in urban gap across waves 3 and 4
lincom [gap]_subpop_5 - [gap]_subpop_6
*test difference in rural/urban gap in wave 3
lincom [gap]_subpop_4 - [gap]_subpop_5
*poverty gap between idps and other
svy: mean gap, over(wave dataset)
lincom [gap]_subpop_4-[gap]_subpop_3
*Poverty severity: squared poverty gap 
gen severity = (gap)^2 
qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean severity se lb ub) npos(col) f(4) append sebnone h2("severity HFS")
qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1, svy sum c(mean severity se lb ub) npos(col) f(4) append sebnone h2("severity IDP")
*test difference in overall gap across waves 1 and 3
svy: mean severity if dataset==2 & inlist(wave,1,3) , over(wave )
lincom [severity]Wave1 - [severity]Wave3
*test difference in rural gap across waves 1 and 3
svy: mean severity if dataset==2, over(wave urban)
lincom [severity]_subpop_1 - [severity]_subpop_4
*test difference in urban gap across waves 1 and 4
lincom [severity]_subpop_2 - [severity]_subpop_6
*test difference in urban gap across waves 2 and 4
lincom [severity]_subpop_3 - [severity]_subpop_6
*test difference in urban gap across waves 3 and 4
lincom [severity]_subpop_5 - [severity]_subpop_6
*test difference in rural/urban gap in wave 3
lincom [severity]_subpop_4 - [severity]_subpop_5
*poverty severity between idps and other
svy: mean severity, over(wave dataset)
lincom [severity]_subpop_4-[severity]_subpop_3

*Gini Index
*Overall waves 1 and 3
fastgini tc_imp [pw=pweight] if wave==1, jk
gen gini_mean_o=`r(gini)' if wave==1
gen gini_sd_o=`r(se)' if wave==1
fastgini tc_imp [pw=pweight] if wave==3, jk
replace gini_mean_o=`r(gini)' if wave==3
replace gini_sd_o=`r(se)' if wave==3
*Urban
fastgini tc_imp [pw=pweight] if wave==1 & urban==1, jk
gen gini_mean_u=`r(gini)' if wave==1 & urban==1
gen gini_sd_u=`r(se)' if wave==1 & urban==1
fastgini tc_imp [pw=pweight] if wave==2 & urban==1, jk
replace gini_mean_u=`r(gini)' if wave==2 & urban==1
replace gini_sd_u=`r(se)' if wave==2 & urban==1
fastgini tc_imp [pw=pweight] if wave==3 & urban==1, jk
replace gini_mean_u=`r(gini)' if wave==3 & urban==1
replace gini_sd_u=`r(se)' if wave==3 & urban==1
fastgini tc_imp [pw=pweight] if wave==4 & urban==1, jk
replace gini_mean_u=`r(gini)' if wave==4 & urban==1
replace gini_sd_u=`r(se)' if wave==4 & urban==1
*Rural
fastgini tc_imp [pw=pweight] if wave==1 & urban==0, jk
replace gini_mean_u=`r(gini)' if wave==1 & urban==0
replace gini_sd_u=`r(se)' if wave==1 & urban==0
fastgini tc_imp [pw=pweight] if wave==3 & urban==0, jk
replace gini_mean_u=`r(gini)' if wave==3 & urban==0
replace gini_sd_u=`r(se)' if wave==3 & urban==0
*IDP
fastgini tc_imp [pw=pweight] if dataset==1, jk
gen gini_mean_d=`r(gini)' if dataset==1
gen gini_sd_d=`r(se)' if dataset==1
replace gini_mean_d=0 if dataset==2
replace gini_sd_d=0 if dataset==2
qui tabout wave using "${gsdOutput}/Raw-Data 1.xls" if inlist(wave,1,3), svy sum c(mean gini_mean_o) npos(col) f(4) append sebnone h2("Gini HFS overall - mean")
qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean gini_mean_u) npos(col) f(4) append sebnone h2("Gini HFS urban - mean")
qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" , svy sum c(mean gini_mean_d) npos(col) f(4) append sebnone h2("Gini HFS overall - mean")
*poverty under the 3.1 and 1.25 lines
*Poverty headcount ratio 3.1 USD PPP
qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean poor31PPP_prob se lb ub) npos(col) f(4) append sebnone h2("poverty 31 HFS")
qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1, svy sum c(mean poor31PPP_prob se lb ub) npos(col) f(4) append sebnone h2("poverty 31 IDP")
*Poverty headcount ratio 1.25 USD PPP
qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean poor125PPP_prob se lb ub) npos(col) f(4) append sebnone h2("poverty 125 HFS")
qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1, svy sum c(mean poor125PPP_prob se lb ub) npos(col) f(4) append sebnone h2("poverty 125 IDP")
*Poverty and gender
*poverty headcount
forvalues i=0/1 {
	if `i'==0 {
		local g="Male"
	}
	if `i'==1 {
		local g="Female"
	}
	qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & hhh_gender==`i' , svy sum c(mean poorPPP_prob se lb ub) npos(col) f(4) append sebnone h2("`g' head poverty HFS")
	qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1  & hhh_gender==`i'  , svy sum c(mean poorPPP_prob se lb ub) npos(col) f(4) append sebnone h2("`g' head poverty IDP")
}
*poverty gap
forvalues i=0/1 {
	if `i'==0 {
		local g="Male"
	}
	if `i'==1 {
		local g="Female"
	}
	qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & hhh_gender==`i' , svy sum c(mean gap se lb ub) npos(col) f(4) append sebnone h2("`g' head gap HFS")
	qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1  & hhh_gender==`i'  , svy sum c(mean gap se lb ub) npos(col) f(4) append sebnone h2("`g' head gap IDP")
}
*extreme poverty headcount 
forvalues i=0/1 {
	if `i'==0 {
		local g="Male"
	}
	if `i'==1 {
		local g="Female"
	}
	qui tabout wave urban using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & hhh_gender==`i' , svy sum c(mean poor125PPP_prob se lb ub) npos(col) f(4) append sebnone h2("`g' head poverty HFS")
	qui tabout dataset using "${gsdOutput}/Raw-Data 1.xls" if dataset==1  & hhh_gender==`i'  , svy sum c(mean poor125PPP_prob se lb ub) npos(col) f(4) append sebnone h2("`g' head poverty IDP")
}
*poverty, aid, and own production
if ${public}==0 {
	use  "${gsdData}/1-CleanTemp/hhq_analysis.dta", clear
	svyset ea [pw=pweight], strata(stratum)
	keep dataset wave stratum urban state ea hh weight pweight tc_imp poor* poor*PPP_prob hhh_gender pline*PPP quintiles_tc hunger_sleep hunger_nores hunger_sleep_freq hunger_daynight hunger_daynight_freq
	merge 1:1 wave state ea hh using "${gsdTemp}/food_ownprod_aid.dta", nogen assert(match master using) keep(match)
	*analysis
	svy: mean hunger_sleep hunger_daynight  if wave==3, over(own_prod)
	svy: prop hunger_sleep_freq  if wave==3, over(own_prod)
	lincom [_prop_1]No-[_prop_1]Yes
	lincom [_prop_2]No-[_prop_2]Yes
	lincom [_prop_3]No-[_prop_3]Yes
	svy: prop hunger_daynight_freq  if wave==3, over(own_prod)
	lincom [_prop_1]No-[_prop_1]Yes
	lincom [_prop_2]No-[_prop_2]Yes
	lincom [_prop_3]No-[_prop_3]Yes
	*tables
	qui tabout urban wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean cons_own lb ub) npos(col) f(4) append sebnone h1("Mean share of own production by wave/urban")
	qui tabout urban wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean own_prod lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave/urban")
	qui tabout own_prod wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean tc_imp lb ub) npos(col) f(4) append sebnone h1("Mean consumption by wave/own prod")
	qui tabout own_prod wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & urban==0, svy sum c(mean tc_imp lb ub) npos(col) f(4) append sebnone h1("Mean consumption by wave/own prod rural")
	qui tabout own_prod wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & urban==1, svy sum c(mean tc_imp lb ub) npos(col) f(4) append sebnone h1("Mean consumption by wave/own prod urban")
	qui tabout own_prod wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean poorPPP_prob lb ub) npos(col) f(4) append sebnone h1("Mean poverty by wave/own prod")
	qui tabout own_prod wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & urban==0, svy sum c(mean poorPPP_prob lb ub) npos(col) f(4) append sebnone h1("Mean poverty by wave/own prod rural")
	qui tabout own_prod wave using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & urban==1, svy sum c(mean poorPPP_prob lb ub) npos(col) f(4) append sebnone h1("Mean poverty by wave/own prod urban")
	qui tabout own_prod poor using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==1 & urban==0, svy c(col lb ub) npos(col) f(4) append sebnone h1("Own production by wave/rural 1")
	qui tabout own_prod poor using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==1 & urban==1, svy c(col lb ub) npos(col) f(4) append sebnone h1("Own production by wave/urban 1")
	qui tabout own_prod poor using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==3 & urban==0, svy c(col lb ub) npos(col) f(4) append sebnone h1("Own production by wave/rural 3")
	qui tabout own_prod poor using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==3 & urban==1, svy c(col lb ub) npos(col) f(4) append sebnone h1("Own production by wave/urban 3")
	qui tabout own_prod poor using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==1 & urban==0, svy c(col lb ub) npos(col) f(4) append sebnone h1("Own production by wave/urban 1")
	qui tabout urban poor using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==1, svy sum c(mean cons_own lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave/urban")
	qui tabout urban poor using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==3, svy sum c(mean cons_own lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave/urban")
	*own_prod by state
	qui tabout own_prod state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==3, svy c(col lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave 3")
	qui tabout own_prod state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==1, svy c(col lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave 1")
	*urban rural
	qui tabout own_prod state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==3 & urban==0, svy c(col lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave/urban 3 r")
	qui tabout own_prod state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==1 & urban==0, svy c(col lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave/urban 1 r")
	qui tabout own_prod state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==3 & urban==1, svy c(col lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave/urban 3 u")
	qui tabout own_prod state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2 & wave==1 & urban==1, svy c(col lb ub) npos(col) f(4) append sebnone h1("Mean households where more than half of own production by wave/urban 1 u")
	*Poverty stats per state
	*HFS
	use  "${gsdData}/1-CleanTemp/hhq_analysis.dta", clear
	qui tabout wave state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean poorPPP_prob se lb ub) npos(col) f(4) append sebnone h2("poverty HFS")
	gen gap = (plinePPP - tc_imp)/plinePPP if (!missing(tc_imp)) 
	replace gap = 0 if (tc_imp>plinePPP & !missing(tc_imp))
	qui tabout wave state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean gap se lb ub) npos(col) f(4) append sebnone h2("gap HFS")
	gen severity = (gap)^2 
	qui tabout wave state using "${gsdOutput}/Raw-Data 1.xls" if dataset==2, svy sum c(mean severity se lb ub) npos(col) f(4) append sebnone h2("severity HFS")

	*NBHS stats
	*poverty indicators
	use "${gsdNBHS}/NBHS_HH.dta", clear
	*keep only surveyed states, drop Warrap
	keep if state>81
	egen stratum=group(state urban)
	gen pweight=hhweight*hhsize
	svyset cluster [pw=pweight], strata(stratum)
	replace urban=0 if urban==2
	qui tabout poor state using "${gsdOutput}/Raw-Data 1.xls" , svy c(col se lb ub) npos(col) f(4) append sebnone h2("poverty NBHS")
	gen pline=72.94
	gen gap = (pline - pcexpm)/pline if (!missing(pcexpm)) 
	replace gap = 0 if (pcexpm>pline & !missing(pcexpm))
	qui tabout state using "${gsdOutput}/Raw-Data 1.xls" , svy sum c(mean gap se lb ub) npos(col) f(4) append sebnone h2("gap NBHS")
	gen severity = (gap)^2 
	qui tabout state using "${gsdOutput}/Raw-Data 1.xls" , svy sum c(mean severity se lb ub) npos(col) f(4) append sebnone h2("severity NBHS")
	*poverty indicators
	use "${gsdNBHS}/NBHS_HH.dta", clear
	*keep only surveyed states, drop Warrap
	keep if state>81
	egen stratum=group(state urban)
	gen pweight=hhweight*hhsize
	svyset cluster [pw=pweight], strata(stratum)
	replace urban=0 if urban==2
	*Poverty headcount
	qui tabout poor urban using "${gsdOutput}/Raw-Data 1.xls" , svy c(col se lb ub) npos(col) f(4) append sebnone h2("poverty NBHS")
	*poverty gap
	gen pline=72.94
	gen gap = (pline - pcexpm)/pline if (!missing(pcexpm)) 
	replace gap = 0 if (pcexpm>pline & !missing(pcexpm))
	qui tabout urban using "${gsdOutput}/Raw-Data 1.xls" , svy sum c(mean gap se lb ub) npos(col) f(4) append sebnone h2("gap NBHS")
	*severity
	gen severity = (gap)^2 
	qui tabout urban using "${gsdOutput}/Raw-Data 1.xls" , svy sum c(mean severity se lb ub) npos(col) f(4) append sebnone h2("severity NBHS")
	*Gini Index
	*Overall waves 1 and 3
	fastgini pcexpm [pw=pweight], jk
	gen gini_mean_o=`r(gini)'
	gen gini_sd_o=`r(se)'
	*Urban
	fastgini pcexpm [pw=pweight] if  urban==1, jk
	gen gini_mean_u=`r(gini)' if  urban==1
	gen gini_sd_u=`r(se)' if urban==1
	*Rural
	fastgini pcexpm [pw=pweight] if  urban==0, jk
	replace gini_mean_u=`r(gini)' if  urban==0
	replace gini_sd_u=`r(se)' if  urban==0
	qui tabout urban using "${gsdOutput}/Raw-Data 1.xls", svy sum c(mean gini_mean_o) npos(col) f(4) append sebnone h2("Gini NBHS overall - mean")
	qui tabout urban using "${gsdOutput}/Raw-Data 1.xls" , svy sum c(mean gini_mean_u) npos(col) f(4) append sebnone h2("Gini NBHS rural/urban - mean")
	*poverty at 1.25 and 3.10 poverty lines
	gen pline125=72.94 *(1.25/1.9)
	gen poor125=pcexpm<pline125
	gen pline31=72.94 *(3.10/1.9)
	gen poor31=pcexpm<pline31
	svy: mean poor125 poor31
}

*place raw data into the excel figures file
insheet using "${gsdOutput}/Raw-Data 1.xls", clear nonames
export excel using "${gsdOutput}/Figures.xlsx", sheetreplace sheet("Raw-Data 1") 
rm "${gsdOutput}/Raw-Data 1.xls"

if ${public}==0 {
	*create scatterplot including linear fit of poverty and GDPpcg and export to excel the raw data underlying the stata graph
	use "${gsdData}/1-CleanTemp/WB_data.dta", clear
	*keep countries up to middle income
	*keep if gnipc<12476
	keep if gnipc<4035
	*create new observations for SSD values
	drop if countrycode=="SSD"
	expand 4 in 1, gen(new)
	gsort -new
	replace countrycode="" if new
	replace poverty=poverty/100
	replace poverty=.51 in 1
	replace gdppc=3739.87 in 1
	gen label="SSD - 2009" in 1
	replace poverty=.66 in 2
	replace gdppc=1808.16 in 2
	replace label="SSD - 2015" in 2
	replace poverty=.82 in 3
	replace gdppc=1569.885 in 3
	replace label="SSD - 2016" in 3
	*export scatter data
	sort gdppc
	*create graph
	twoway (sc poverty gdppc) (sc poverty gdppc if new, mlabel(label)) (lfitci poverty gdppc, ciplot(rline) )
	twoway (lfitci poverty gdppc, ciplot(rline) )
	graph save Graph "${gsdOutput}/graph_gdp.gph", replace
	keep gdppc poverty label countrycode
	save "${gsdTemp}/poverty_gdppccd.dta", replace
	clear
	graph use "${gsdOutput}/graph_gdp.gph", 
	serset use, clear
	rename (__0000*) (low line high)
	save "${gsdTemp}/poverty_gdppccd_lfit.dta", replace
	append using "${gsdTemp}/poverty_gdppccd.dta"
	order countrycode label gdppc poverty low line high 
	export excel using "${gsdOutput}/Figures.xlsx", sheetmodify sheet("Raw-Data 11") first(var)
}

*Some demographics graphs
*Load hhm data
use "${gsdData}/1-CleanTemp/hhm_analysis.dta", clear
svyset ea [pw=weight], strata(stratum)
*test population distribution
gen young=inrange(age,0,17)
gen child=inrange(age,0,5)
svy: mean child young if wave==3
gen dearth=inrange(age,20,40)
svy: prop gender if dearth==1 & wave==3
lincom [gender]Male-[gender]Female
*Population age distribution by gender
recode age (0/4 = 1 "Under 5 Years") (5/9 = 2 "5 - 9 Years") (10/14 = 3 "10 - 14 Years") (15/19 = 4 "15 - 19 Years") (20/24 = 5 "20 - 24 Years") (25/29 = 6 "25 - 29 Years") (30/34 = 7 "30 - 34 Years") (35/39 = 8 "35 - 39 Years") (40/44 = 9 "40 - 44 Years") (45/49 = 10 "45 - 49 Years") (50/54 = 11 "50 - 54 Years") (55/59 = 12 "55 - 59 Years") (60/65 = 13 "60 - 64 Years") (65/69 = 14 "65 - 69 Years") (70/74 = 15 "70 - 74 Years") (75/79 = 16 "75 - 79 Years") (80/120 = 17 "Above 80 Years"), generate(age_cat_g)
qui tabout age_cat_g gender using "${gsdOutput}/Raw-Data 10.xls" if wave==3, replace svy percent c(col ) f(3)  sebnone
qui tabout gender using "${gsdOutput}/Raw-Data 10.xls" if wave==3, append svy percent c(col ) f(3) sebnone
qui tabout age_cat_g gender using "${gsdOutput}/Raw-Data 10.xls" if wave==1, append svy percent c(col ) f(3)  sebnone
qui tabout gender using "${gsdOutput}/Raw-Data 10.xls" if wave==1, append svy percent c(col ) f(3) sebnone
qui tabout age_cat_g gender using "${gsdOutput}/Raw-Data 10.xls" if dataset==1, append svy percent c(col ) f(3)  sebnone
qui tabout gender using "${gsdOutput}/Raw-Data 10.xls" if dataset==1, append svy percent c(col ) f(3) sebnone

if ${public}==0 {
	*2009
	use "${gsdData}/1-CleanTemp/NBHS_hhm.dta", clear
	svyset ea [pw=weight], strata(stratum)
	*test population distribution
	gen young=inrange(age,0,17)
	gen child=inrange(age,0,5)
	svy: mean child young
	recode age (0/4 = 1 "Under 5 Years") (5/9 = 2 "5 - 9 Years") (10/14 = 3 "10 - 14 Years") (15/19 = 4 "15 - 19 Years") (20/24 = 5 "20 - 24 Years") (25/29 = 6 "25 - 29 Years") (30/34 = 7 "30 - 34 Years") (35/39 = 8 "35 - 39 Years") (40/44 = 9 "40 - 44 Years") (45/49 = 10 "45 - 49 Years") (50/54 = 11 "50 - 54 Years") (55/59 = 12 "55 - 59 Years") (60/65 = 13 "60 - 64 Years") (65/69 = 14 "65 - 69 Years") (70/74 = 15 "70 - 74 Years") (75/79 = 16 "75 - 79 Years") (80/120 = 17 "Above 80 Years"), generate(age_cat_g)
	qui tabout age_cat_g gender using "${gsdOutput}/Raw-Data 10.xls", append svy percent c(col ) f(3)  sebnone
	qui tabout gender using "${gsdOutput}/Raw-Data 10.xls", append svy percent c(col ) f(3) sebnone
}
*urban rural population
use "${gsdData}/1-CleanTemp/hhm_analysis.dta", clear
svyset ea [pw=weight], strata(stratum)
qui tabout urban using "${gsdOutput}/Raw-Data 10.xls" if wave==3, append svy percent c(col ) f(3) sebnone

*place raw data into the excel figures file
insheet using "${gsdOutput}/Raw-Data 10.xls", clear nonames
export excel using "${gsdOutput}/Figures.xlsx", sheetreplace sheet("Raw-Data 10") 
rm "${gsdOutput}/Raw-Data 10.xls"


