*run the poor/non-poor regression and comparisons
use  "${gsdData}/1-CleanTemp/hhq_conflict_analysis.dta", clear
svyset ea [pw=pweight], strata(stratum)
*add vars from multidimensional poverty section
merge 1:1 dataset wave state ea hh using  "${gsdTemp}/multidimensional_deprivation.dta", nogen assert(match using) keep(match) keepusing(poor adult_noed housing head_marital head_age)
*variables
local potentsh = "urban hhh_gender head_age hhsize dep_ratio child_noed hed1-hed3 liv1-liv3 mari1-mari3 improved_sanitation improved_watersource housing cook crowding electricity"
local bal = "urban hhsize dep_ratio hhh_gender hed1 child_noed liv1-liv3 housing electricity crowding improved_sanitation improved_watersource"
*prepare vars
quietly tab hhh_edu, gen(hed)
quietly tab livelihood, gen(liv)
quietly tab head_marital,gen(mari)
*difference in means
gen p=1-poor
*create table
iebaltab `bal' if wave==0, grpvar(p) save("${gsdOutput}/poor_tab_09.xlsx") replace  rowvarlabels weight(pw=pweight) onerow fixedeffect(state) 
local bal2 = "urban hhsize dep_ratio hhh_gender hed1 child_noed liv1-liv3 electricity crowding improved_sanitation improved_watersource"
iebaltab `bal2' if wave==1, grpvar(p) save("${gsdOutput}/poor_tab_15.xlsx") replace balmiss(mean) rowvarlabels weight(pw=pweight) onerow fixedeffect(state) 
iebaltab `bal' if wave==3, grpvar(p) save("${gsdOutput}/poor_tab_16.xlsx") replace  rowvarlabels weight(pw=pweight) onerow fixedeffect(state) 
*logistic regression
gen poor_reg=poor
replace poor_reg=poor_core if wave>0
*2009
quietly svy: logit poor_reg `bal' i.state if wave==0 
 margins, dydx(`bal')  post
est sto m2009
outreg2 m2009 using "${gsdOutput}/poor_logit.xls", replace ctitle(2009) drop(i.state) label  nocons dec(3)
*wave 1
quietly svy: logit poor_reg `bal' i.state if wave==1
quietly margins, dydx(`bal')  post
est sto m2015
outreg2  using "${gsdOutput}/poor_logit.xls", append ctitle(2015) drop(i.state) label  nocons dec(3)
*wave 3
quietly svy: logit poor_reg `bal' i.state if wave==3
quietly margins, dydx(`bal') post
est sto m2016
outreg2  using "${gsdOutput}/poor_logit.xls", append ctitle(2016) drop(i.state) label  nocons dec(3)
