*Create maps for the poverty assessment

*preapare data with central coordinates of EAs across waves
*prepare the data from all waves with geocoordinates and anonymized identifiers of EAs
forvalues i=1/3 {
	if `i'==1 {
		local id = "hhuid"
	}
	else if `i'==2 | `i'==3 {
		local id = "parent_key"
	}
	use "${gsdW`i'}/Data\0-RawOutput/hhq.dta", clear
	keep state ea `id' loclatitude loclongitude 
	merge m:1 ea using "${gsdW`i'}/Data\0-RawTemp/ea_anonkey.dta", nogen keepusing(ea_anon)
	merge m:1 `id' using "${gsdW`i'}/Data\0-RawTemp/hh_anonkey.dta", nogen keepusing(hh_anon)
	rename (loclatitude loclongitude) (latitude longitude)
	drop ea
	rename ea_anon ea
	collapse (mean) latitude longitude, by(state ea)
	order state ea
	gen wave=`i'
	save "${gsdTemp}/hhq_W`i'_ea_gps.dta", replace
}
use "${gsdData}\0-RawOutput/hh.dta", clear
keep if dataset==2
keep state ea hh loc__Latitude loc__Longitude 
rename (loc__Latitude loc__Longitude) (latitude longitude)
collapse (mean) latitude longitude, by(state ea)
order state ea
gen wave=4
save "${gsdTemp}/hhq_W4_ea_gps.dta", replace
*append the data
use "${gsdTemp}/hhq_W4_ea_gps", clear
append using "${gsdTemp}/hhq_W3_ea_gps"
append using "${gsdTemp}/hhq_W2_ea_gps"
append using "${gsdTemp}/hhq_W1_ea_gps"
*add gps data for some of the wave 3 eas
merge m:1 wave state ea using "${gsdDataRaw}/Wave_3_gps_ea.dta", nogen assert(match master) keepusing(lat lon)
replace latitude=lat if missing(latitude) & wave==3
replace longitude=lon if missing(longitude) & wave==3
drop lat lon
save "${gsdData}/1-CleanTemp/EA_gps.dta", replace
*prepare data with gps observations for all households in all waves
*prepare the data from all waves with geocoordinates and anonymized identifiers for interviews
forvalues i=1/3 {
	if `i'==1 {
		local id = "hhuid"
	}
	else if `i'==2 | `i'==3 {
		local id = "parent_key"
	}
	use "${gsdW`i'}/Data\0-RawOutput/hhq.dta", clear
	merge m:1 ea using "${gsdW`i'}/Data\0-RawTemp/ea_anonkey.dta", nogen keepusing(ea_anon)
	merge m:1 `id' using "${gsdW`i'}/Data\0-RawTemp/hh_anonkey.dta", nogen keepusing(hh_anon)
	rename (loclatitude loclongitude) (latitude longitude)
	drop ea
	rename (ea_anon hh_anon today_auto) (ea hh today)
	if `i'==3 {
	* use EA gps from listing for some wave 3 EAs
		replace latitude=loclatitude_ea if missing(latitude) & !missing(loclongitude_ea)
		replace longitude=loclongitude_ea if missing(longitude) & !missing(loclongitude_ea)
		drop loclatitude_ea loclongitude_ea
	}

	foreach l in latitude longitude {
		bys state ea: egen mean_`l'=mean(`l')
		replace `l'=mean_`l' if missing(`l') & !missing(mean_`l')
		drop mean_`l'
	}
	keep state ea hh latitude longitude today
	gen wave=`i'
	order wave state ea hh latitude longitude
	save "${gsdTemp}/hhq_W`i'_gps.dta", replace
}
use "${gsdData}\0-RawOutput/hh.dta", clear
keep if dataset==2
keep state ea hh loc__Latitude loc__Longitude date
merge m:1 state ea using "${gsdTemp}/hhq_W4_ea_gps", nogen assert(match)
foreach l in atitude ongitude {
	replace loc__L`l'=l`l' if missing(loc__L`l') & !missing(l`l')
	drop l`l' 
}
rename (loc__Latitude loc__Longitude) (latitude longitude)
rename date today
keep state ea hh latitude longitude today
order state ea
gen wave=4
save "${gsdTemp}/hhq_W4_gps.dta", replace
*append and create one dataset
use "${gsdTemp}/hhq_W4_gps", clear
append using "${gsdTemp}/hhq_W3_gps"
append using "${gsdTemp}/hhq_W2_gps"
append using "${gsdTemp}/hhq_W1_gps"
order wave
save "${gsdData}/1-CleanTemp/hhq_gps.dta", replace
merge 1:1 wave state ea hh using "${gsdData}/1-CleanTemp/hhq_analysis.dta", nogen assert(match using master) keep(match) keepusing(urban)
export delimited "${gsdOutput}/hhq_gps.csv", replace nolabel

*poverty maps
*2009 overall
use "${gsdNBHS}/NBHS_HH.dta", clear
*keep if state>80
egen stratum=group(state urban)
gen pweight=hhweight*hhsize
svyset cluster [pw=pweight], strata(stratum)
replace urban=0 if urban==2
label define lurban 0 "Rural" 1 "Urban", modify
label val urban lurban
collapse poor [aw=pweight], by(state)
decode state, gen(State)
gen _ID= 1 if State=="Lakes"
replace _ID= 2 if State=="Central Equatoria"
replace _ID= 3 if State=="Eastern Equatoria"
replace _ID= 4 if State=="Upper Nile"
replace _ID= 5 if State=="Western Bahr Al Ghazal"
replace _ID= 6 if State=="Unity"
replace _ID= 7 if State=="Northern Bahr Al Ghazal"
replace _ID= 8 if State=="Jonglei"
replace _ID= 9 if State=="Western Equatoria"
replace _ID= 10 if State=="Warap"
format poor %9.0f
replace poor=poor*100
spmap poor using "${gsdDataRaw}/states_shp_coordinates.dta", id(_ID) fcolor(BuYlRd) clmethod(custom) clbreaks(0 30 40 50 60 70 80 90 100)  ///
	ndocolor(black) ndpattern(solid) ndfcolor(gs15) ndlabel(Not covered) ///
	legend( size(medium) ) legstyle(2) legtitle("Headcount (%):") ///
	polygon(data("${gsdDataRaw}/states_shp_coordinates.dta") ocolor(black) osize(thick)) ///
	point(data("${gsdDataRaw}/towns_shp.dta") xcoord(X) ycoord(Y) fcolor(black) shape(O D) by(juba) ) ///
	label(data("${gsdDataRaw}/towns_shp.dta") xcoord(X) ycoord(Y) label(Town_Name) by(labtype) pos(3) size(medium medium medium)) 
graph export "${gsdOutput}/PovertyHC-2009.png", replace

*HFS
*flowminder county poverty
import excel using "${gsdDataRaw}/SSD_PoorPPPprobability_imputation_popweighted_bycounty_TableToExcel.xls", clear first
rename STATNAME state_fm
keep if inlist(state_fm,"Warrap","Jonglei","Unity","Upper Nile")
collapse (mean) AvgPov_Co [pw=Pop_Count], by(state_fm)
import delimited using "${gsdDataRaw}/Flowminder_county_values.csv", clear 
foreach v of varlist predpppurban meanppp meanppprural meanpppurban {
	replace `v'="." if `v'=="NA"
	destring, replace
}
*urban-rural table
collapse predppp predpppurban predppprural meanppp meanppprural meanpppurban [pw=settle]
*get state data
import delimited using "${gsdDataRaw}/Flowminder_county_values.csv", clear 
*state poverty
collapse predppp [pw=settle], by(statname)
rename statname State
replace State="Northern Bahr El Ghazal" if State=="Northern Bahr el Ghazal"
replace State="Western Bahr El Ghazal" if State=="Western Bahr el Ghazal"
save "${gsdTemp}/satelliteimputation_state.dta", replace
*create poverty maps
*Wave 1 overall
use "${gsdData}/1-CleanTemp/hhq_analysis.dta", clear
keep if state>81 & wave==1
collapse poorPPP_prob [aw=pweight], by(state)
decode state, gen(State)
set obs `=_N+4'
replace State="Unity" if _n==7
replace State="Upper Nile" if _n==8
replace State="Jonglei" if _n==9
replace State="Warrap" if _n==10
gen _ID= 1 if State=="Lakes"
replace _ID= 2 if State=="Central Equatoria"
replace _ID= 3 if State=="Eastern Equatoria"
replace _ID= 4 if State=="Upper Nile"
replace _ID= 5 if State=="Western Bahr el Ghazal"
replace _ID= 6 if State=="Unity"
replace _ID= 7 if State=="Northern Bahr el Ghazal"
replace _ID= 8 if State=="Jonglei"
replace _ID= 9 if State=="Western Equatoria"
replace _ID= 10 if State=="Warrap"	
format poorPPP_prob %9.0f
replace poor=poor*100
spmap poor using "${gsdDataRaw}/states_shp_coordinates.dta", id(_ID) fcolor(BuYlRd)  ndfcolor(gs14)  clmethod(custom)  clbreaks(0 30 40 50 60 70 80 90 100) ///
	legend( size(medium) ) legstyle(2) legtitle("Headcount (%):") ///
	polygon(data("${gsdDataRaw}/states_shp_coordinates.dta") ocolor(black) osize(thick))  ///
	point(data("${gsdDataRaw}/towns_shp.dta") xcoord(X) ycoord(Y) fcolor(black) shape(O D) by(juba) ) ///
	label(data("${gsdDataRaw}/towns_shp.dta") xcoord(X) ycoord(Y) label(Town_Name)  by(labtype) pos(2) size(medium medium medium)) 
graph export "${gsdOutput}/PovertyHC-W1.png", replace
*Wave 3 overall
use "${gsdW3}/Data/1-CleanOutput/hhq.dta", clear 
*drop warrap?
keep if state>81
gen pweight=weight*hhsize
collapse poorPPP_prob [aw=pweight], by(state)
decode state, gen(State)
set obs `=_N+4'
replace State="Unity" if _n==7
replace State="Upper Nile" if _n==8
replace State="Jonglei" if _n==9
replace State="Warrap" if _n==10
gen _ID= 1 if State=="Lakes"
replace _ID= 2 if State=="Central Equatoria"
replace _ID= 3 if State=="Eastern Equatoria"
replace _ID= 4 if State=="Upper Nile"
replace _ID= 5 if State=="Western Bahr El Ghazal"
replace _ID= 6 if State=="Unity"
replace _ID= 7 if State=="Northern Bahr El Ghazal"
replace _ID= 8 if State=="Jonglei"
replace _ID= 9 if State=="Western Equatoria"
replace _ID= 10 if State=="Warrap"	
format poorPPP_prob %9.0f
replace poor=poor*100
*add the satellite poverty manually for now
replace poor=95 if State=="Unity"
replace poor=95 if State=="Upper Nile" 
replace poor=95 if State=="Jonglei" 
replace poor=92 if State=="Warrap"
*merge
merge 1:1 State using "${gsdTemp}/satelliteimputation_state.dta", nogen assert(match)
*map
spmap poor using "${gsdDataRaw}/states_shp_coordinates.dta", id(_ID) fcolor(BuYlRd)  ndfcolor(gs14)  clmethod(custom)  clbreaks(0 30 40 50 60 70 80 90 100) ///
	legend( size(medium) ) legstyle(2) legtitle("Headcount (%):") ///
	polygon(data("${gsdDataRaw}/states_shp_coordinates.dta") ocolor(black) osize(thick))  ///
	point(data("${gsdDataRaw}/towns_shp.dta") xcoord(X) ycoord(Y) fcolor(black) shape(O D) by(juba) ) ///
	label(data("${gsdDataRaw}/towns_shp.dta") xcoord(X) ycoord(Y) label(Town_Name)  by(labtype) pos(2) size(medium medium medium)) 
graph export "${gsdOutput}/PovertyHC-W3.png", replace
graph close
