*this do file prepares labor statistics

*Stats over time
*Household level statistics 
*dependency ratio
use "${gsdData}/1-CleanTemp/hhq_analysis" , clear
svyset ea [pw=weight], strata(stratum)
qui tabout wave urban if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean depend_share lb ub) npos(col) replace h1("dependency share W1-4") f(4)
qui tabout wave if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean depend_share lb ub) npos(col) append h1("dependency share IDP") f(4)
*employed share
qui tabout wave urban if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean empl_share_all lb ub) npos(col) append h1("employed share W1-4") f(4)
qui tabout wave if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean empl_share_all lb ub) npos(col) append h1("employed share IDP") f(4)
*livelihoods
recode lhood (1 2 3 = 1 "Agriculture") (4 = 4 "Wages and salaries") (5 = 5 "Own business") (7=7 "Remittances") (9=8 "Aid") ( nonmissing = 10 "Other") , gen(livelihood)
qui tabout livelihood wave if dataset==2 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihood national W1-4") f(4)
qui tabout livelihood wave if dataset==2 & urban==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihood urban W1-4") f(4)
qui tabout livelihood wave if dataset==2 & urban==0 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihood rural W1-4") f(4)
qui tabout livelihood if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihood IDP") f(4)
*Individual level statistics
use "${gsdData}/1-CleanTemp/hhm_analysis.dta" , clear
svyset ea [pw=weight], strata(stratum)
*labor force participation rate
qui tabout wave urban if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip lb ub) npos(col) append h1("labor force participation W1-4") f(4)
qui tabout wave if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip lb ub) npos(col) append h1("labor force participation IDP") f(4)
qui tabout wave urban if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip_12m lb ub) npos(col) append h1("labor force participation 12 months W1-4") f(4)
qui tabout wave if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip_12m lb ub) npos(col) append h1("labor force participation 12 months IDP") f(4)
*unemployment rate
qui tabout wave urban if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate lb ub) npos(col) append h1("unemployment rate W1-4") f(4)
qui tabout wave if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate lb ub) npos(col) append h1("unemployment rate IDP") f(4)
qui tabout wave urban if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate_12m lb ub) npos(col) append h1("unemployment rate 12 months W1-4") f(4)
qui tabout wave if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate_12m lb ub) npos(col) append h1("unemployment rate 12 months IDP") f(4)
*type of activity and sector
local empl = "laborchar_7d laborchar_12m empl_primary7d empl_primary12m emp_sector_5" 
foreach v of local empl {
	qui tabout `v' wave if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' national W1-4") f(4)
	qui tabout `v' wave if dataset==2 & urban==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' urban W1-4") f(4)
	qui tabout `v' wave if dataset==2 & urban==0 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' rural W1-4") f(4)
	qui tabout `v' if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' IDP W1-4") f(4)
}


*Stats by level of poverty in Wave 3
use "${gsdData}/1-CleanTemp/hhq_analysis" , clear
svyset ea [pw=weight], strata(stratum)
*dependency ratio
qui tabout quintiles_tc urban if dataset==2 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean depend_share lb ub) npos(col) append h1("dependency share W3") f(4)
qui tabout quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean depend_share lb ub) npos(col) append h1("dependency share IDP") f(4)
*employed share
qui tabout quintiles_tc urban if dataset==2 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean empl_share_all lb ub) npos(col) append h1("dependency share W3") f(4)
qui tabout quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean empl_share_all lb ub) npos(col) append h1("dependency share IDP") f(4)
*Individual level statistics
use "${gsdData}/1-CleanTemp/hhm_analysis.dta" , clear
merge m:1 dataset wave state ea hh using "${gsdData}/1-CleanTemp/hhq_analysis.dta", nogen assert(match) keepusing(poor* tc_imp quintiles_tc lhood)
svyset ea [pw=weight], strata(stratum)
*type of activity and sector
local empl = "laborchar_7d laborchar_12m empl_primary7d empl_primary12m emp_sector_5" 
foreach v of local empl {
	qui tabout `v' wave if dataset==2  using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' national W1-4") f(4)
	qui tabout `v' wave if dataset==2 & urban==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' urban W1-4") f(4)
	qui tabout `v' wave if dataset==2 & urban==0 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' rural W1-4") f(4)
	qui tabout `v' if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' IDP W1-4") f(4)
}
*labor force participation
qui tabout urban quintiles_tc if dataset==2 & wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip lb ub) npos(col) append h1("lab. force participation W3") f(4)
qui tabout urban quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip lb ub) npos(col) append h1("lab. force participation W3") f(4)
qui tabout urban quintiles_tc if dataset==2 & wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip_12m lb ub) npos(col) append h1("lab. force participation 12m W3") f(4)
qui tabout urban quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean lfparticip_12m lb ub) npos(col) append h1("lab. force participation 12m W3") f(4)
*unemployment rate
qui tabout urban quintiles_tc if dataset==2 & wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate lb ub) npos(col) append h1("u rate W3") f(4)
qui tabout urban quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate lb ub) npos(col) append h1("u rate W3") f(4)
qui tabout urban quintiles_tc if dataset==2 & wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate_12m lb ub) npos(col) append h1("u rate 12m W3") f(4)
qui tabout urban quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy sum c(mean u_rate_12m lb ub) npos(col) append h1("u rate 12m W3") f(4)
*activity
qui tabout empl_primary7d quintiles_tc if dataset==2 & wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("activity W3") f(4)
qui tabout empl_primary7d quintiles_tc if dataset==2 & wave==3 & urban==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("activity W3 urban") f(4)
qui tabout empl_primary7d quintiles_tc if dataset==2 & wave==3 & urban==0 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("activity W3 rural") f(4)
qui tabout empl_primary7d quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("activity W3 IDP") f(4)
*sector
qui tabout emp_sector_5 quintiles_tc if dataset==2 & wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("sector W3") f(4)
qui tabout emp_sector_5 quintiles_tc if dataset==2 & wave==3 & urban==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("sector W3 urban") f(4)
qui tabout emp_sector_5 quintiles_tc if dataset==2 & wave==3 & urban==0 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("sector W3 rural") f(4)
qui tabout emp_sector_5 quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("sector IDP") f(4)
*livelihoods 
recode lhood (1 2 3 = 1 "Agriculture") (4 = 4 "Wages and salaries") (5 = 5 "Own business") (7=7 "Remittances") (9=8 "Aid") ( nonmissing = 10 "Other") , gen(livelihood)
qui tabout livelihood quintiles_tc if dataset==2 & wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihoods W3") f(4)
qui tabout livelihood quintiles_tc if dataset==2 & wave==3 & urban==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihoods W3 urban") f(4)
qui tabout livelihood quintiles_tc if dataset==2 & wave==3 & urban==0 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihoods W3 rural") f(4)
qui tabout livelihood quintiles_tc if dataset==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("livelihoods IDP") f(4)
*By gender
use "${gsdData}/1-CleanTemp/hhm_analysis.dta" , clear
svyset ea [pw=weight], strata(stratum)
merge m:1 dataset wave state ea hh using "${gsdData}/1-CleanTemp/hhq_analysis.dta", nogen assert(match) keepusing(poor* tc_imp quintiles_tc lhood)
local employvars = "lfparticip empl_primary7d emp_sector_5" 
foreach v of local employvars {
	qui tabout `v' gender if wave==3 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v'  gender W3") f(4)
	qui tabout `v' urban if wave==3 & gender==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v'  men W3") f(4)
	qui tabout `v' quintiles_tc if wave==3  & gender==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v'  men W3") f(4)	
	qui tabout `v' if dataset==1 & gender==1 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' IDP men W3") f(4)
	qui tabout `v' urban if wave==3 & gender==2 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v'  women W3") f(4)
	qui tabout `v' quintiles_tc if wave==3  & gender==2 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v'  women W3") f(4)	
	qui tabout `v' if dataset==1 & gender==2 using "${gsdOutput}/Raw-Data 5.xls", svy c(col lb ub) npos(col) append h1("`v' IDP women W3") f(4)
}

*place raw data into the excel figures file
insheet using "${gsdOutput}/Raw-Data 5.xls", clear nonames
export excel using "${gsdOutput}/Figures.xlsx", sheetreplace sheet("Raw-Data 5") 
rm "${gsdOutput}/Raw-Data 5.xls"

