*This do file carries out the well being and perceptions analysis

use "${gsdData}/1-CleanTemp/hhq_analysis.dta" , clear
svyset ea [pw=weight], strata(stratum)
svy: mean satisf_life satisf_prev  if inlist(wave,1,3), over(wave)
*most are unsatisfied
svy: tab agree_satisfied wave, col
qui tabout agree_satisfied wave if inlist(wave,1,3) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) replace h1("agree satisfied") f(4)
qui tabout agree_satisfied quintiles_tc if wave==1 using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("agree satisfied wave 1") f(4)
qui tabout agree_satisfied quintiles_tc if wave==3 using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("agree satisfied wave 3") f(4)
*personal living conditions
svy: tab rate_personal wave, col
qui tabout rate_personal wave if inlist(wave,1,3) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("personal conditions") f(4)
svy: tab rate_personal_future wave, col
qui tabout rate_personal_future wave if inlist(wave,1,3) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("personal conditions future") f(4)
*economic conditions
svy: tab rate_economic wave, col
qui tabout rate_economic wave if inlist(wave,1,3) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("economic conditions") f(4)
svy: tab rate_economic_future wave, col
qui tabout rate_economic_future wave if inlist(wave,1,3) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("economic conditions future") f(4)
*fear for future
recode fear_future (1 3 4 =1 "Conflict/Political disintegration") (6=2 "Ethnic tensions") (7 9 21 22 23 = 3 "Lack of economic opportunities") (5=4 "Corruption") (nonmissing=99 "Other"), gen(fear)
qui tabout fear wave if inlist(wave,1,3) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("fear future") f(4)

*2016 perceptions
use "${gsdData}/1-CleanTemp/hhq_analysis.dta" , clear
svyset ea [pw=weight], strata(stratum)
keep if wave==3
*perceptions of governmetn performance
foreach v of varlist creating_jobs fighting_corruption living_standards_poor maintaing_roads_brigdges prices_down reliable_electricity water_sanitation comating_hiv educational_needs enough_to_eat improving_health_service overall_performance reducing_crime resolve_comm_conflict {
	qui tabout `v'  using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("`v'") f(4)
}
*perception of safety
foreach v of varlist safe_violence safe_walking_night safe_walking_day avoid_areas peaceful_area repeat_violence increased_violence violence {
	qui tabout `v' urban  using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("`v'") f(4)
}
*institutions
foreach v of varlist improve_lvng_cmnty improve_lvng_crchs improve_lvng_goss improve_lvng_localgv improve_lvng_spla improve_lvng_spss improve_lvng_stategv {
	qui tabout `v'  using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("`v'") f(4)
}
if ${public}==0 {
	*2015 crime
	use "${gsdW3}/Data/1-CleanOutput/hhq.dta", clear
	svyset ea [pw=weight], strata(stratum)
	gen wave=3
	merge 1:1 wave state ea hh using "${gsdTemp}/multidimensional_deprivation.dta" , nogen keep(match) keepusing(hhh_gender mpi)
	*crime
	gen sexual_violence=0
	gen robbed=0
	gen gun_bomb=0
	gen assaulted=0
	gen kidnapped=0
	forvalues i=1/13 {
		replace sexual_violence=1 if inlist(I_90_harm_12m`i',9,10)
		replace robbed=1 if inlist(I_90_harm_12m`i',13,14)
		replace gun_bomb=1 if inlist(I_90_harm_12m`i',7,8)
		replace assaulted=1 if inlist(I_90_harm_12m`i',4,5,6,11)
		replace kidnapped=1 if inlist(I_90_harm_12m`i',12)
	}
	foreach v of varlist sexual_violence robbed kidnapped gun_bomb assaulted  {
		qui tabout `v' using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("`v'") f(4)
	}
}
*police
use "${gsdData}/1-CleanTemp/hhq_analysis.dta" , clear
svyset ea [pw=weight], strata(stratum)
keep if wave==3
qui tabout dispute_resolve using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("`v'") f(4)
qui tabout nopolice_g using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("`v'") f(4)
*satisfied with life
qui tabout agree_satisfied urban using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("agree satisfied wave 3") f(4)
qui tabout agree_satisfied quintiles_tc using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("agree satisfied wave 3") f(4)
qui tabout agree_satisfied hhh_gender using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("agree satisfied wave 3") f(4)
*ladder
foreach v of varlist ladder_now ladder_past ladder_future  {
	qui tabout urban using "${gsdOutput}/Raw-Data 19.xls", svy sum c(mean `v' lb ub) npos(col) append h1("score wave 3") f(4)
	qui tabout quintiles_tc using "${gsdOutput}/Raw-Data 19.xls", svy  sum c(mean `v' lb ub) npos(col) append h1("score wave 3") f(4)
	qui tabout hhh_gender using "${gsdOutput}/Raw-Data 19.xls", svy  sum c(mean `v' lb ub) npos(col) append h1("score wave 3") f(4)
}
*sense of control
qui tabout life_control using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("control wave 3") f(4)
*fear for the future by IDP and by urban
use "${gsdData}/1-CleanTemp/hhq_analysis.dta" , clear
svyset ea [pw=weight], strata(stratum)
*fear for future
recode fear_future (1 3 4 =1 "Conflict/Political disintegration") (6=2 "Ethnic tensions") (7 9 21 22 23 = 3 "Lack of economic opportunities") (5=4 "Corruption") (nonmissing=99 "Other"), gen(fear)
qui tabout fear dataset if inlist(wave,4) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("fear future wave 4") f(4)
qui tabout fear urban if inlist(wave,3) using "${gsdOutput}/Raw-Data 19.xls", svy c(col lb ub) npos(col) append h1("fear future wave urban rural") f(4)
*2015 crime
if ${public}==0 {
	use "${gsdW1}/Data/1-CleanOutput/hhq.dta", clear
	svyset ea [pw=weight], strata(stratum)
	gen wave=1
	merge 1:1 wave state ea hh using "${gsdTemp}/multidimensional_deprivation.dta" , nogen keep(match) keepusing(hhh_gender mpi)
	gen pweight=weight*hhsize
	gen sexual_violence=0
	gen robbed=0
	gen gun_bomb=0
	gen assaulted=0
	gen kidnapped=0
	forvalues i=1/7 {
		replace sexual_violence=1 if inlist(M_0_harm_12m`i',9,10)
		replace robbed=1 if inlist(M_0_harm_12m`i',13,14)
		replace gun_bomb=1 if inlist(M_0_harm_12m`i',7,8)
		replace assaulted=1 if inlist(M_0_harm_12m`i',4,5,6,11)
		replace kidnapped=1 if inlist(M_0_harm_12m`i',12)
	}
	foreach v of varlist sexual_violence robbed kidnapped gun_bomb assaulted  {
	svy: tab `v' 
	}
}
*place raw data into the excel figures file
insheet using "${gsdOutput}/Raw-Data 19.xls", clear nonames
export excel using "${gsdOutput}/Figures.xlsx", sheetreplace sheet("Raw-Data 19") 
rm "${gsdOutput}/Raw-Data 19.xls"
